/* 
   name:     UNO_XINTERFACES.REX
   purpose:  define the list of OOo interface classes
   author:   Rony G. Flatscher 
   created:  20070917 21:47:55
   usage:    just require file, then call the routine "OOo.getInterfaceList" to retrieve the list

  license:                                                                      
                                                                                
   ------------------------ Apache Version 2.0 license -------------------------
      Copyright (C) 2006 Rony G. Flatscher                                      
                                                                                
      Licensed under the Apache License, Version 2.0 (the "License");           
      you may not use this file except in compliance with the License.          
      You may obtain a copy of the License at                                   
                                                                                
          http://www.apache.org/licenses/LICENSE-2.0                            
                                                                                
      Unless required by applicable law or agreed to in writing, software       
      distributed under the License is distributed on an "AS IS" BASIS,         
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  
      See the License for the specific language governing permissions and       
      limitations under the License.                                            
   -----------------------------------------------------------------------------

*/

::ROUTINE UNO.getInterfaceList PUBLIC

   l=.list~of( -
		"com.sun.star.accessibility.XAccessible"                                   , ,   -- #    1 unoil.jar
		"com.sun.star.accessibility.XAccessibleAction"                             , ,   -- #    2 unoil.jar
		"com.sun.star.accessibility.XAccessibleComponent"                          , ,   -- #    3 unoil.jar
		"com.sun.star.accessibility.XAccessibleContext"                            , ,   -- #    4 unoil.jar
		"com.sun.star.accessibility.XAccessibleEditableText"                       , ,   -- #    5 unoil.jar
		"com.sun.star.accessibility.XAccessibleEventBroadcaster"                   , ,   -- #    6 unoil.jar
		"com.sun.star.accessibility.XAccessibleEventListener"                      , ,   -- #    7 unoil.jar
		"com.sun.star.accessibility.XAccessibleExtendedComponent"                  , ,   -- #    8 unoil.jar
		"com.sun.star.accessibility.XAccessibleHyperlink"                          , ,   -- #    9 unoil.jar
		"com.sun.star.accessibility.XAccessibleHypertext"                          , ,   -- #   10 unoil.jar
		"com.sun.star.accessibility.XAccessibleImage"                              , ,   -- #   11 unoil.jar
		"com.sun.star.accessibility.XAccessibleKeyBinding"                         , ,   -- #   12 unoil.jar
		"com.sun.star.accessibility.XAccessibleRelationSet"                        , ,   -- #   13 unoil.jar
		"com.sun.star.accessibility.XAccessibleSelection"                          , ,   -- #   14 unoil.jar
		"com.sun.star.accessibility.XAccessibleStateSet"                           , ,   -- #   15 unoil.jar
		"com.sun.star.accessibility.XAccessibleTable"                              , ,   -- #   16 unoil.jar
		"com.sun.star.accessibility.XAccessibleText"                               , ,   -- #   17 unoil.jar
		"com.sun.star.accessibility.XAccessibleTextAttributes"                     , ,   -- #   18 unoil.jar
		"com.sun.star.accessibility.XAccessibleValue"                              , ,   -- #   19 unoil.jar
		"com.sun.star.animations.XAnimate"                                         , ,   -- #   20 unoil.jar
		"com.sun.star.animations.XAnimateColor"                                    , ,   -- #   21 unoil.jar
		"com.sun.star.animations.XAnimateMotion"                                   , ,   -- #   22 unoil.jar
		"com.sun.star.animations.XAnimateSet"                                      , ,   -- #   23 unoil.jar
		"com.sun.star.animations.XAnimateTransform"                                , ,   -- #   24 unoil.jar
		"com.sun.star.animations.XAnimationNode"                                   , ,   -- #   25 unoil.jar
		"com.sun.star.animations.XAnimationNodeSupplier"                           , ,   -- #   26 unoil.jar
		"com.sun.star.animations.XAudio"                                           , ,   -- #   27 unoil.jar
		"com.sun.star.animations.XCommand"                                         , ,   -- #   28 unoil.jar
		"com.sun.star.animations.XIterateContainer"                                , ,   -- #   29 unoil.jar
		"com.sun.star.animations.XTargetPropertiesCreator"                         , ,   -- #   30 unoil.jar
		"com.sun.star.animations.XTimeContainer"                                   , ,   -- #   31 unoil.jar
		"com.sun.star.animations.XTransitionFilter"                                , ,   -- #   32 unoil.jar
		"com.sun.star.auth.XSSOAcceptorContext"                                    , ,   -- #   33 unoil.jar
		"com.sun.star.auth.XSSOContext"                                            , ,   -- #   34 unoil.jar
		"com.sun.star.auth.XSSOInitiatorContext"                                   , ,   -- #   35 unoil.jar
		"com.sun.star.auth.XSSOManager"                                            , ,   -- #   36 unoil.jar
		"com.sun.star.auth.XSSOManagerFactory"                                     , ,   -- #   37 unoil.jar
		"com.sun.star.auth.XSSOPasswordCache"                                      , ,   -- #   38 unoil.jar
		"com.sun.star.awt.XActionListener"                                         , ,   -- #   39 unoil.jar
		"com.sun.star.awt.XActivateListener"                                       , ,   -- #   40 unoil.jar
		"com.sun.star.awt.XAdjustmentListener"                                     , ,   -- #   41 unoil.jar
		"com.sun.star.awt.XBitmap"                                                 , ,   -- #   42 unoil.jar
		"com.sun.star.awt.XButton"                                                 , ,   -- #   43 unoil.jar
		"com.sun.star.awt.XCheckBox"                                               , ,   -- #   44 unoil.jar
		"com.sun.star.awt.XComboBox"                                               , ,   -- #   45 unoil.jar
		"com.sun.star.awt.XContainerWindowEventHandler"                            , ,   -- #   46 unoil.jar
		"com.sun.star.awt.XContainerWindowProvider"                                , ,   -- #   47 unoil.jar
		"com.sun.star.awt.XControl"                                                , ,   -- #   48 unoil.jar
		"com.sun.star.awt.XControlContainer"                                       , ,   -- #   49 unoil.jar
		"com.sun.star.awt.XControlModel"                                           , ,   -- #   50 unoil.jar
		"com.sun.star.awt.XCurrencyField"                                          , ,   -- #   51 unoil.jar
		"com.sun.star.awt.XDataTransferProviderAccess"                             , ,   -- #   52 unoil.jar
		"com.sun.star.awt.XDateField"                                              , ,   -- #   53 unoil.jar
		"com.sun.star.awt.XDevice"                                                 , ,   -- #   54 unoil.jar
		"com.sun.star.awt.XDialog"                                                 , ,   -- #   55 unoil.jar
		"com.sun.star.awt.XDialogEventHandler"                                     , ,   -- #   56 unoil.jar
		"com.sun.star.awt.XDialogProvider"                                         , ,   -- #   57 unoil.jar
		"com.sun.star.awt.XDialogProvider2"                                        , ,   -- #   58 unoil.jar
		"com.sun.star.awt.XDisplayBitmap"                                          , ,   -- #   59 unoil.jar
		"com.sun.star.awt.XDisplayConnection"                                      , ,   -- #   60 unoil.jar
		"com.sun.star.awt.XDockableWindow"                                         , ,   -- #   61 unoil.jar
		"com.sun.star.awt.XDockableWindowListener"                                 , ,   -- #   62 unoil.jar
		"com.sun.star.awt.XEnhancedMouseClickHandler"                              , ,   -- #   63 unoil.jar
		"com.sun.star.awt.XEventHandler"                                           , ,   -- #   64 unoil.jar
		"com.sun.star.awt.XExtendedToolkit"                                        , ,   -- #   65 unoil.jar
		"com.sun.star.awt.XFileDialog"                                             , ,   -- #   66 unoil.jar
		"com.sun.star.awt.XFixedText"                                              , ,   -- #   67 unoil.jar
		"com.sun.star.awt.XFocusListener"                                          , ,   -- #   68 unoil.jar
		"com.sun.star.awt.XFont"                                                   , ,   -- #   69 unoil.jar
		"com.sun.star.awt.XGraphics"                                               , ,   -- #   70 unoil.jar
		"com.sun.star.awt.XImageButton"                                            , ,   -- #   71 unoil.jar
		"com.sun.star.awt.XImageConsumer"                                          , ,   -- #   72 unoil.jar
		"com.sun.star.awt.XImageProducer"                                          , ,   -- #   73 unoil.jar
		"com.sun.star.awt.XInfoPrinter"                                            , ,   -- #   74 unoil.jar
		"com.sun.star.awt.XItemEventBroadcaster"                                   , ,   -- #   75 unoil.jar
		"com.sun.star.awt.XItemListener"                                           , ,   -- #   76 unoil.jar
		"com.sun.star.awt.XKeyHandler"                                             , ,   -- #   77 unoil.jar
		"com.sun.star.awt.XKeyListener"                                            , ,   -- #   78 unoil.jar
		"com.sun.star.awt.XLayoutConstrains"                                       , ,   -- #   79 unoil.jar
		"com.sun.star.awt.XListBox"                                                , ,   -- #   80 unoil.jar
		"com.sun.star.awt.XMenu"                                                   , ,   -- #   81 unoil.jar
		"com.sun.star.awt.XMenuBar"                                                , ,   -- #   82 unoil.jar
		"com.sun.star.awt.XMenuExtended"                                           , ,   -- #   83 unoil.jar
		"com.sun.star.awt.XMenuListener"                                           , ,   -- #   84 unoil.jar
		"com.sun.star.awt.XMessageBox"                                             , ,   -- #   85 unoil.jar
		"com.sun.star.awt.XMessageBoxFactory"                                      , ,   -- #   86 unoil.jar
		"com.sun.star.awt.XMouseClickHandler"                                      , ,   -- #   87 unoil.jar
		"com.sun.star.awt.XMouseListener"                                          , ,   -- #   88 unoil.jar
		"com.sun.star.awt.XMouseMotionListener"                                    , ,   -- #   89 unoil.jar
		"com.sun.star.awt.XNumericField"                                           , ,   -- #   90 unoil.jar
		"com.sun.star.awt.XPaintListener"                                          , ,   -- #   91 unoil.jar
		"com.sun.star.awt.XPatternField"                                           , ,   -- #   92 unoil.jar
		"com.sun.star.awt.XPointer"                                                , ,   -- #   93 unoil.jar
		"com.sun.star.awt.XPopupMenu"                                              , ,   -- #   94 unoil.jar
		"com.sun.star.awt.XPrinter"                                                , ,   -- #   95 unoil.jar
		"com.sun.star.awt.XPrinterPropertySet"                                     , ,   -- #   96 unoil.jar
		"com.sun.star.awt.XPrinterServer"                                          , ,   -- #   97 unoil.jar
		"com.sun.star.awt.XProgressBar"                                            , ,   -- #   98 unoil.jar
		"com.sun.star.awt.XProgressMonitor"                                        , ,   -- #   99 unoil.jar
		"com.sun.star.awt.XRadioButton"                                            , ,   -- #  100 unoil.jar
		"com.sun.star.awt.XRegion"                                                 , ,   -- #  101 unoil.jar
		"com.sun.star.awt.XReschedule"                                             , ,   -- #  102 unoil.jar
		"com.sun.star.awt.XScrollBar"                                              , ,   -- #  103 unoil.jar
		"com.sun.star.awt.XSimpleAnimation"                                        , ,   -- #  104 unoil.jar
		"com.sun.star.awt.XSimpleTabController"                                    , ,   -- #  105 unoil.jar
		"com.sun.star.awt.XSpinField"                                              , ,   -- #  106 unoil.jar
		"com.sun.star.awt.XSpinListener"                                           , ,   -- #  107 unoil.jar
		"com.sun.star.awt.XSpinValue"                                              , ,   -- #  108 unoil.jar
		"com.sun.star.awt.XSystemChildFactory"                                     , ,   -- #  109 unoil.jar
		"com.sun.star.awt.XSystemDependentMenuPeer"                                , ,   -- #  110 unoil.jar
		"com.sun.star.awt.XSystemDependentWindowPeer"                              , ,   -- #  111 unoil.jar
		"com.sun.star.awt.XTabController"                                          , ,   -- #  112 unoil.jar
		"com.sun.star.awt.XTabControllerModel"                                     , ,   -- #  113 unoil.jar
		"com.sun.star.awt.XTabListener"                                            , ,   -- #  114 unoil.jar
		"com.sun.star.awt.XTextArea"                                               , ,   -- #  115 unoil.jar
		"com.sun.star.awt.XTextComponent"                                          , ,   -- #  116 unoil.jar
		"com.sun.star.awt.XTextEditField"                                          , ,   -- #  117 unoil.jar
		"com.sun.star.awt.XTextLayoutConstrains"                                   , ,   -- #  118 unoil.jar
		"com.sun.star.awt.XTextListener"                                           , ,   -- #  119 unoil.jar
		"com.sun.star.awt.XThrobber"                                               , ,   -- #  120 unoil.jar
		"com.sun.star.awt.XTimeField"                                              , ,   -- #  121 unoil.jar
		"com.sun.star.awt.XToggleButton"                                           , ,   -- #  122 unoil.jar
		"com.sun.star.awt.XToolkit"                                                , ,   -- #  123 unoil.jar
		"com.sun.star.awt.XTopWindow"                                              , ,   -- #  124 unoil.jar
		"com.sun.star.awt.XTopWindowListener"                                      , ,   -- #  125 unoil.jar
		"com.sun.star.awt.XUnoControlContainer"                                    , ,   -- #  126 unoil.jar
		"com.sun.star.awt.XUserInputInterception"                                  , ,   -- #  127 unoil.jar
		"com.sun.star.awt.XVclContainer"                                           , ,   -- #  128 unoil.jar
		"com.sun.star.awt.XVclContainerListener"                                   , ,   -- #  129 unoil.jar
		"com.sun.star.awt.XVclContainerPeer"                                       , ,   -- #  130 unoil.jar
		"com.sun.star.awt.XVclWindowPeer"                                          , ,   -- #  131 unoil.jar
		"com.sun.star.awt.XView"                                                   , ,   -- #  132 unoil.jar
		"com.sun.star.awt.XWindow"                                                 , ,   -- #  133 unoil.jar
		"com.sun.star.awt.XWindow2"                                                , ,   -- #  134 unoil.jar
		"com.sun.star.awt.XWindowListener"                                         , ,   -- #  135 unoil.jar
		"com.sun.star.awt.XWindowListener2"                                        , ,   -- #  136 unoil.jar
		"com.sun.star.awt.XWindowPeer"                                             , ,   -- #  137 unoil.jar
		"com.sun.star.awt.tree.XMutableTreeDataModel"                              , ,   -- #  138 unoil.jar
		"com.sun.star.awt.tree.XMutableTreeNode"                                   , ,   -- #  139 unoil.jar
		"com.sun.star.awt.tree.XTreeControl"                                       , ,   -- #  140 unoil.jar
		"com.sun.star.awt.tree.XTreeDataModel"                                     , ,   -- #  141 unoil.jar
		"com.sun.star.awt.tree.XTreeDataModelListener"                             , ,   -- #  142 unoil.jar
		"com.sun.star.awt.tree.XTreeEditListener"                                  , ,   -- #  143 unoil.jar
		"com.sun.star.awt.tree.XTreeExpansionListener"                             , ,   -- #  144 unoil.jar
		"com.sun.star.awt.tree.XTreeNode"                                          , ,   -- #  145 unoil.jar
		"com.sun.star.beans.XExactName"                                            , ,   -- #  146 ridl.jar
		"com.sun.star.beans.XFastPropertySet"                                      , ,   -- #  147 ridl.jar
		"com.sun.star.beans.XFastPropertyState"                                    , ,   -- #  148 unoil.jar
		"com.sun.star.beans.XHierarchicalPropertySet"                              , ,   -- #  149 ridl.jar
		"com.sun.star.beans.XHierarchicalPropertySetInfo"                          , ,   -- #  150 ridl.jar
		"com.sun.star.beans.XIntroTest"                                            , ,   -- #  151 ridl.jar
		"com.sun.star.beans.XIntrospection"                                        , ,   -- #  152 ridl.jar
		"com.sun.star.beans.XIntrospectionAccess"                                  , ,   -- #  153 ridl.jar
		"com.sun.star.beans.XMaterialHolder"                                       , ,   -- #  154 ridl.jar
		"com.sun.star.beans.XMultiHierarchicalPropertySet"                         , ,   -- #  155 ridl.jar
		"com.sun.star.beans.XMultiPropertySet"                                     , ,   -- #  156 ridl.jar
		"com.sun.star.beans.XMultiPropertyStates"                                  , ,   -- #  157 ridl.jar
		"com.sun.star.beans.XPropertiesChangeListener"                             , ,   -- #  158 ridl.jar
		"com.sun.star.beans.XPropertiesChangeNotifier"                             , ,   -- #  159 ridl.jar
		"com.sun.star.beans.XProperty"                                             , ,   -- #  160 ridl.jar
		"com.sun.star.beans.XPropertyAccess"                                       , ,   -- #  161 ridl.jar
		"com.sun.star.beans.XPropertyChangeListener"                               , ,   -- #  162 ridl.jar
		"com.sun.star.beans.XPropertyContainer"                                    , ,   -- #  163 ridl.jar
		"com.sun.star.beans.XPropertySet"                                          , ,   -- #  164 ridl.jar
		"com.sun.star.beans.XPropertySetInfo"                                      , ,   -- #  165 ridl.jar
		"com.sun.star.beans.XPropertySetInfoChangeListener"                        , ,   -- #  166 ridl.jar
		"com.sun.star.beans.XPropertySetInfoChangeNotifier"                        , ,   -- #  167 ridl.jar
		"com.sun.star.beans.XPropertyState"                                        , ,   -- #  168 ridl.jar
		"com.sun.star.beans.XPropertyStateChangeListener"                          , ,   -- #  169 ridl.jar
		"com.sun.star.beans.XPropertyWithState"                                    , ,   -- #  170 ridl.jar
		"com.sun.star.beans.XTolerantMultiPropertySet"                             , ,   -- #  171 ridl.jar
		"com.sun.star.beans.XVetoableChangeListener"                               , ,   -- #  172 ridl.jar
		"com.sun.star.bridge.XBridge"                                              , ,   -- #  173 ridl.jar
		"com.sun.star.bridge.XBridgeFactory"                                       , ,   -- #  174 ridl.jar
		"com.sun.star.bridge.XBridgeSupplier"                                      , ,   -- #  175 ridl.jar
		"com.sun.star.bridge.XBridgeSupplier2"                                     , ,   -- #  176 ridl.jar
		"com.sun.star.bridge.XInstanceProvider"                                    , ,   -- #  177 ridl.jar
		"com.sun.star.bridge.XProtocolProperties"                                  , ,   -- #  178 ridl.jar
		"com.sun.star.bridge.XUnoUrlResolver"                                      , ,   -- #  179 ridl.jar
		"com.sun.star.bridge.oleautomation.XAutomationObject"                      , ,   -- #  180 ridl.jar
		"com.sun.star.chart.X3DDisplay"                                            , ,   -- #  181 unoil.jar
		"com.sun.star.chart.XAxisXSupplier"                                        , ,   -- #  182 unoil.jar
		"com.sun.star.chart.XAxisYSupplier"                                        , ,   -- #  183 unoil.jar
		"com.sun.star.chart.XAxisZSupplier"                                        , ,   -- #  184 unoil.jar
		"com.sun.star.chart.XChartData"                                            , ,   -- #  185 unoil.jar
		"com.sun.star.chart.XChartDataArray"                                       , ,   -- #  186 unoil.jar
		"com.sun.star.chart.XChartDataChangeEventListener"                         , ,   -- #  187 unoil.jar
		"com.sun.star.chart.XChartDocument"                                        , ,   -- #  188 unoil.jar
		"com.sun.star.chart.XDiagram"                                              , ,   -- #  189 unoil.jar
		"com.sun.star.chart.XStatisticDisplay"                                     , ,   -- #  190 unoil.jar
		"com.sun.star.chart.XTwoAxisXSupplier"                                     , ,   -- #  191 unoil.jar
		"com.sun.star.chart.XTwoAxisYSupplier"                                     , ,   -- #  192 unoil.jar
		"com.sun.star.chart2.XAxis"                                                , ,   -- #  193 unoil.jar
/* ---> [com.sun.star.chart2.XChartDocument]: class name [XChartDocument] in use already! (com.sun.star.chart.XChartDocument) */ - 
		"com.sun.star.chart2.XChartDocument"                                       , ,   -- #  194 unoil.jar
		"com.sun.star.chart2.XChartShape"                                          , ,   -- #  195 unoil.jar
		"com.sun.star.chart2.XChartShapeContainer"                                 , ,   -- #  196 unoil.jar
		"com.sun.star.chart2.XChartType"                                           , ,   -- #  197 unoil.jar
		"com.sun.star.chart2.XChartTypeContainer"                                  , ,   -- #  198 unoil.jar
		"com.sun.star.chart2.XChartTypeManager"                                    , ,   -- #  199 unoil.jar
		"com.sun.star.chart2.XChartTypeTemplate"                                   , ,   -- #  200 unoil.jar
		"com.sun.star.chart2.XColorScheme"                                         , ,   -- #  201 unoil.jar
		"com.sun.star.chart2.XCoordinateSystem"                                    , ,   -- #  202 unoil.jar
		"com.sun.star.chart2.XCoordinateSystemContainer"                           , ,   -- #  203 unoil.jar
		"com.sun.star.chart2.XDataInterpreter"                                     , ,   -- #  204 unoil.jar
		"com.sun.star.chart2.XDataSeries"                                          , ,   -- #  205 unoil.jar
		"com.sun.star.chart2.XDataSeriesContainer"                                 , ,   -- #  206 unoil.jar
/* ---> [com.sun.star.chart2.XDiagram]: class name [XDiagram] in use already! (com.sun.star.chart.XDiagram) */ - 
		"com.sun.star.chart2.XDiagram"                                             , ,   -- #  207 unoil.jar
		"com.sun.star.chart2.XDiagramProvider"                                     , ,   -- #  208 unoil.jar
		"com.sun.star.chart2.XFormattedString"                                     , ,   -- #  209 unoil.jar
		"com.sun.star.chart2.XInternalDataProvider"                                , ,   -- #  210 unoil.jar
		"com.sun.star.chart2.XLabeled"                                             , ,   -- #  211 unoil.jar
		"com.sun.star.chart2.XLegend"                                              , ,   -- #  212 unoil.jar
		"com.sun.star.chart2.XLegendEntry"                                         , ,   -- #  213 unoil.jar
		"com.sun.star.chart2.XLegendSymbolProvider"                                , ,   -- #  214 unoil.jar
		"com.sun.star.chart2.XPlotter"                                             , ,   -- #  215 unoil.jar
		"com.sun.star.chart2.XRegressionCurve"                                     , ,   -- #  216 unoil.jar
		"com.sun.star.chart2.XRegressionCurveCalculator"                           , ,   -- #  217 unoil.jar
		"com.sun.star.chart2.XRegressionCurveContainer"                            , ,   -- #  218 unoil.jar
		"com.sun.star.chart2.XScaling"                                             , ,   -- #  219 unoil.jar
		"com.sun.star.chart2.XTarget"                                              , ,   -- #  220 unoil.jar
		"com.sun.star.chart2.XTitle"                                               , ,   -- #  221 unoil.jar
		"com.sun.star.chart2.XTitled"                                              , ,   -- #  222 unoil.jar
		"com.sun.star.chart2.XTransformation"                                      , ,   -- #  223 unoil.jar
		"com.sun.star.chart2.XUndoHelper"                                          , ,   -- #  224 unoil.jar
		"com.sun.star.chart2.XUndoManager"                                         , ,   -- #  225 unoil.jar
		"com.sun.star.chart2.XUndoSupplier"                                        , ,   -- #  226 unoil.jar
		"com.sun.star.chart2.data.XDataProvider"                                   , ,   -- #  227 unoil.jar
		"com.sun.star.chart2.data.XDataReceiver"                                   , ,   -- #  228 unoil.jar
		"com.sun.star.chart2.data.XDataSequence"                                   , ,   -- #  229 unoil.jar
		"com.sun.star.chart2.data.XDataSink"                                       , ,   -- #  230 unoil.jar
		"com.sun.star.chart2.data.XDataSource"                                     , ,   -- #  231 unoil.jar
		"com.sun.star.chart2.data.XLabeledDataSequence"                            , ,   -- #  232 unoil.jar
		"com.sun.star.chart2.data.XNumericalDataSequence"                          , ,   -- #  233 unoil.jar
		"com.sun.star.chart2.data.XRangeHighlighter"                               , ,   -- #  234 unoil.jar
		"com.sun.star.chart2.data.XRangeXMLConversion"                             , ,   -- #  235 unoil.jar
		"com.sun.star.chart2.data.XTextualDataSequence"                            , ,   -- #  236 unoil.jar
		"com.sun.star.configuration.XTemplateContainer"                            , ,   -- #  237 unoil.jar
		"com.sun.star.configuration.XTemplateInstance"                             , ,   -- #  238 unoil.jar
		"com.sun.star.configuration.backend.XBackend"                              , ,   -- #  239 unoil.jar
		"com.sun.star.configuration.backend.XBackendChangesListener"               , ,   -- #  240 unoil.jar
		"com.sun.star.configuration.backend.XBackendChangesNotifier"               , ,   -- #  241 unoil.jar
		"com.sun.star.configuration.backend.XBackendEntities"                      , ,   -- #  242 unoil.jar
		"com.sun.star.configuration.backend.XCompositeLayer"                       , ,   -- #  243 unoil.jar
		"com.sun.star.configuration.backend.XLayer"                                , ,   -- #  244 unoil.jar
		"com.sun.star.configuration.backend.XLayerContentDescriber"                , ,   -- #  245 unoil.jar
		"com.sun.star.configuration.backend.XLayerHandler"                         , ,   -- #  246 unoil.jar
		"com.sun.star.configuration.backend.XLayerImporter"                        , ,   -- #  247 unoil.jar
		"com.sun.star.configuration.backend.XMultiLayerStratum"                    , ,   -- #  248 unoil.jar
		"com.sun.star.configuration.backend.XSchema"                               , ,   -- #  249 unoil.jar
		"com.sun.star.configuration.backend.XSchemaHandler"                        , ,   -- #  250 unoil.jar
		"com.sun.star.configuration.backend.XSchemaSupplier"                       , ,   -- #  251 unoil.jar
		"com.sun.star.configuration.backend.XSingleLayerStratum"                   , ,   -- #  252 unoil.jar
		"com.sun.star.configuration.backend.XUpdatableLayer"                       , ,   -- #  253 unoil.jar
		"com.sun.star.configuration.backend.XUpdateHandler"                        , ,   -- #  254 unoil.jar
		"com.sun.star.configuration.backend.XVersionedSchemaSupplier"              , ,   -- #  255 unoil.jar
		"com.sun.star.connection.XAcceptor"                                        , ,   -- #  256 ridl.jar
		"com.sun.star.connection.XConnection"                                      , ,   -- #  257 ridl.jar
		"com.sun.star.connection.XConnection2"                                     , ,   -- #  258 ridl.jar
		"com.sun.star.connection.XConnectionBroadcaster"                           , ,   -- #  259 ridl.jar
		"com.sun.star.connection.XConnector"                                       , ,   -- #  260 ridl.jar
		"com.sun.star.container.XChild"                                            , ,   -- #  261 ridl.jar
		"com.sun.star.container.XComponentEnumeration"                             , ,   -- #  262 ridl.jar
		"com.sun.star.container.XComponentEnumerationAccess"                       , ,   -- #  263 ridl.jar
		"com.sun.star.container.XContainer"                                        , ,   -- #  264 ridl.jar
		"com.sun.star.container.XContainerApproveBroadcaster"                      , ,   -- #  265 ridl.jar
		"com.sun.star.container.XContainerApproveListener"                         , ,   -- #  266 ridl.jar
		"com.sun.star.container.XContainerListener"                                , ,   -- #  267 ridl.jar
		"com.sun.star.container.XContainerQuery"                                   , ,   -- #  268 ridl.jar
		"com.sun.star.container.XContentEnumerationAccess"                         , ,   -- #  269 ridl.jar
		"com.sun.star.container.XElementAccess"                                    , ,   -- #  270 ridl.jar
		"com.sun.star.container.XEnumeration"                                      , ,   -- #  271 ridl.jar
		"com.sun.star.container.XEnumerationAccess"                                , ,   -- #  272 ridl.jar
		"com.sun.star.container.XHierarchicalName"                                 , ,   -- #  273 ridl.jar
		"com.sun.star.container.XHierarchicalNameAccess"                           , ,   -- #  274 ridl.jar
		"com.sun.star.container.XHierarchicalNameContainer"                        , ,   -- #  275 ridl.jar
		"com.sun.star.container.XHierarchicalNameReplace"                          , ,   -- #  276 ridl.jar
		"com.sun.star.container.XIdentifierAccess"                                 , ,   -- #  277 ridl.jar
		"com.sun.star.container.XIdentifierContainer"                              , ,   -- #  278 ridl.jar
		"com.sun.star.container.XIdentifierReplace"                                , ,   -- #  279 ridl.jar
		"com.sun.star.container.XImplicitIDAccess"                                 , ,   -- #  280 ridl.jar
		"com.sun.star.container.XImplicitIDContainer"                              , ,   -- #  281 ridl.jar
		"com.sun.star.container.XImplicitIDReplace"                                , ,   -- #  282 ridl.jar
		"com.sun.star.container.XIndexAccess"                                      , ,   -- #  283 ridl.jar
		"com.sun.star.container.XIndexContainer"                                   , ,   -- #  284 ridl.jar
		"com.sun.star.container.XIndexReplace"                                     , ,   -- #  285 ridl.jar
		"com.sun.star.container.XNameAccess"                                       , ,   -- #  286 ridl.jar
		"com.sun.star.container.XNameContainer"                                    , ,   -- #  287 ridl.jar
		"com.sun.star.container.XNameReplace"                                      , ,   -- #  288 ridl.jar
		"com.sun.star.container.XNamed"                                            , ,   -- #  289 ridl.jar
		"com.sun.star.container.XSet"                                              , ,   -- #  290 ridl.jar
		"com.sun.star.container.XStringKeyMap"                                     , ,   -- #  291 ridl.jar
		"com.sun.star.container.XUniqueIDAccess"                                   , ,   -- #  292 ridl.jar
		"com.sun.star.datatransfer.XDataFormatTranslator"                          , ,   -- #  293 unoil.jar
		"com.sun.star.datatransfer.XMimeContentType"                               , ,   -- #  294 unoil.jar
		"com.sun.star.datatransfer.XMimeContentTypeFactory"                        , ,   -- #  295 unoil.jar
		"com.sun.star.datatransfer.XSystemTransferable"                            , ,   -- #  296 unoil.jar
		"com.sun.star.datatransfer.XTransferDataAccess"                            , ,   -- #  297 unoil.jar
		"com.sun.star.datatransfer.XTransferable"                                  , ,   -- #  298 unoil.jar
		"com.sun.star.datatransfer.XTransferableEx"                                , ,   -- #  299 unoil.jar
		"com.sun.star.datatransfer.XTransferableSource"                            , ,   -- #  300 unoil.jar
		"com.sun.star.datatransfer.XTransferableSupplier"                          , ,   -- #  301 unoil.jar
		"com.sun.star.datatransfer.clipboard.XClipboard"                           , ,   -- #  302 unoil.jar
		"com.sun.star.datatransfer.clipboard.XClipboardEx"                         , ,   -- #  303 unoil.jar
		"com.sun.star.datatransfer.clipboard.XClipboardFactory"                    , ,   -- #  304 unoil.jar
		"com.sun.star.datatransfer.clipboard.XClipboardListener"                   , ,   -- #  305 unoil.jar
		"com.sun.star.datatransfer.clipboard.XClipboardManager"                    , ,   -- #  306 unoil.jar
		"com.sun.star.datatransfer.clipboard.XClipboardNotifier"                   , ,   -- #  307 unoil.jar
		"com.sun.star.datatransfer.clipboard.XClipboardOwner"                      , ,   -- #  308 unoil.jar
		"com.sun.star.datatransfer.clipboard.XFlushableClipboard"                  , ,   -- #  309 unoil.jar
		"com.sun.star.datatransfer.dnd.XAutoscroll"                                , ,   -- #  310 unoil.jar
		"com.sun.star.datatransfer.dnd.XDragGestureListener"                       , ,   -- #  311 unoil.jar
		"com.sun.star.datatransfer.dnd.XDragGestureRecognizer"                     , ,   -- #  312 unoil.jar
		"com.sun.star.datatransfer.dnd.XDragSource"                                , ,   -- #  313 unoil.jar
		"com.sun.star.datatransfer.dnd.XDragSourceContext"                         , ,   -- #  314 unoil.jar
		"com.sun.star.datatransfer.dnd.XDragSourceListener"                        , ,   -- #  315 unoil.jar
		"com.sun.star.datatransfer.dnd.XDropTarget"                                , ,   -- #  316 unoil.jar
		"com.sun.star.datatransfer.dnd.XDropTargetDragContext"                     , ,   -- #  317 unoil.jar
		"com.sun.star.datatransfer.dnd.XDropTargetDropContext"                     , ,   -- #  318 unoil.jar
		"com.sun.star.datatransfer.dnd.XDropTargetListener"                        , ,   -- #  319 unoil.jar
		"com.sun.star.deployment.XPackage"                                         , ,   -- #  320 unoil.jar
		"com.sun.star.deployment.XPackageInformationProvider"                      , ,   -- #  321 unoil.jar
		"com.sun.star.deployment.XPackageManager"                                  , ,   -- #  322 unoil.jar
		"com.sun.star.deployment.XPackageManagerFactory"                           , ,   -- #  323 unoil.jar
		"com.sun.star.deployment.XPackageRegistry"                                 , ,   -- #  324 unoil.jar
		"com.sun.star.deployment.XPackageTypeInfo"                                 , ,   -- #  325 unoil.jar
		"com.sun.star.deployment.XUpdateInformationProvider"                       , ,   -- #  326 unoil.jar
		"com.sun.star.document.XActionLockable"                                    , ,   -- #  327 unoil.jar
		"com.sun.star.document.XBinaryStreamResolver"                              , ,   -- #  328 unoil.jar
		"com.sun.star.document.XDocumentInfo"                                      , ,   -- #  329 unoil.jar
		"com.sun.star.document.XDocumentInfoSupplier"                              , ,   -- #  330 unoil.jar
		"com.sun.star.document.XDocumentInsertable"                                , ,   -- #  331 unoil.jar
		"com.sun.star.document.XDocumentProperties"                                , ,   -- #  332 unoil.jar
		"com.sun.star.document.XDocumentRevisionListPersistence"                   , ,   -- #  333 unoil.jar
		"com.sun.star.document.XDocumentSubStorageSupplier"                        , ,   -- #  334 unoil.jar
		"com.sun.star.document.XEmbeddedObjectResolver"                            , ,   -- #  335 unoil.jar
		"com.sun.star.document.XEmbeddedObjectSupplier"                            , ,   -- #  336 unoil.jar
		"com.sun.star.document.XEmbeddedObjectSupplier2"                           , ,   -- #  337 unoil.jar
		"com.sun.star.document.XEventBroadcaster"                                  , ,   -- #  338 unoil.jar
		"com.sun.star.document.XEventListener"                                     , ,   -- #  339 unoil.jar
		"com.sun.star.document.XEventsSupplier"                                    , ,   -- #  340 unoil.jar
		"com.sun.star.document.XExporter"                                          , ,   -- #  341 unoil.jar
		"com.sun.star.document.XExtendedFilterDetection"                           , ,   -- #  342 unoil.jar
		"com.sun.star.document.XFilter"                                            , ,   -- #  343 unoil.jar
		"com.sun.star.document.XFilterAdapter"                                     , ,   -- #  344 unoil.jar
		"com.sun.star.document.XGraphicObjectResolver"                             , ,   -- #  345 unoil.jar
		"com.sun.star.document.XImporter"                                          , ,   -- #  346 unoil.jar
		"com.sun.star.document.XInteractionFilterOptions"                          , ,   -- #  347 unoil.jar
		"com.sun.star.document.XInteractionFilterSelect"                           , ,   -- #  348 unoil.jar
		"com.sun.star.document.XLinkTargetSupplier"                                , ,   -- #  349 unoil.jar
		"com.sun.star.document.XMimeTypeInfo"                                      , ,   -- #  350 unoil.jar
		"com.sun.star.document.XRedlinesSupplier"                                  , ,   -- #  351 unoil.jar
		"com.sun.star.document.XStandaloneDocumentInfo"                            , ,   -- #  352 unoil.jar
		"com.sun.star.document.XStorageBasedDocument"                              , ,   -- #  353 unoil.jar
		"com.sun.star.document.XStorageChangeListener"                             , ,   -- #  354 unoil.jar
		"com.sun.star.document.XTypeDetection"                                     , ,   -- #  355 unoil.jar
		"com.sun.star.document.XViewDataSupplier"                                  , ,   -- #  356 unoil.jar
		"com.sun.star.drawing.XConnectableShape"                                   , ,   -- #  357 unoil.jar
		"com.sun.star.drawing.XConnectorShape"                                     , ,   -- #  358 unoil.jar
		"com.sun.star.drawing.XControlShape"                                       , ,   -- #  359 unoil.jar
		"com.sun.star.drawing.XCustomShapeEngine"                                  , ,   -- #  360 unoil.jar
		"com.sun.star.drawing.XCustomShapeHandle"                                  , ,   -- #  361 unoil.jar
		"com.sun.star.drawing.XDrawPage"                                           , ,   -- #  362 unoil.jar
		"com.sun.star.drawing.XDrawPageDuplicator"                                 , ,   -- #  363 unoil.jar
		"com.sun.star.drawing.XDrawPageExpander"                                   , ,   -- #  364 unoil.jar
		"com.sun.star.drawing.XDrawPageSummarizer"                                 , ,   -- #  365 unoil.jar
		"com.sun.star.drawing.XDrawPageSupplier"                                   , ,   -- #  366 unoil.jar
		"com.sun.star.drawing.XDrawPages"                                          , ,   -- #  367 unoil.jar
		"com.sun.star.drawing.XDrawPagesSupplier"                                  , ,   -- #  368 unoil.jar
		"com.sun.star.drawing.XDrawView"                                           , ,   -- #  369 unoil.jar
		"com.sun.star.drawing.XGluePointsSupplier"                                 , ,   -- #  370 unoil.jar
/* ---> [com.sun.star.drawing.XLayer]: class name [XLayer] in use already! (com.sun.star.configuration.backend.XLayer) */ - 
		"com.sun.star.drawing.XLayer"                                              , ,   -- #  371 unoil.jar
		"com.sun.star.drawing.XLayerManager"                                       , ,   -- #  372 unoil.jar
		"com.sun.star.drawing.XLayerSupplier"                                      , ,   -- #  373 unoil.jar
		"com.sun.star.drawing.XMasterPageTarget"                                   , ,   -- #  374 unoil.jar
		"com.sun.star.drawing.XMasterPagesSupplier"                                , ,   -- #  375 unoil.jar
		"com.sun.star.drawing.XShape"                                              , ,   -- #  376 unoil.jar
		"com.sun.star.drawing.XShapeAligner"                                       , ,   -- #  377 unoil.jar
		"com.sun.star.drawing.XShapeArranger"                                      , ,   -- #  378 unoil.jar
		"com.sun.star.drawing.XShapeBinder"                                        , ,   -- #  379 unoil.jar
		"com.sun.star.drawing.XShapeCombiner"                                      , ,   -- #  380 unoil.jar
		"com.sun.star.drawing.XShapeDescriptor"                                    , ,   -- #  381 unoil.jar
		"com.sun.star.drawing.XShapeGroup"                                         , ,   -- #  382 unoil.jar
		"com.sun.star.drawing.XShapeGrouper"                                       , ,   -- #  383 unoil.jar
		"com.sun.star.drawing.XShapeMirror"                                        , ,   -- #  384 unoil.jar
		"com.sun.star.drawing.XShapes"                                             , ,   -- #  385 unoil.jar
		"com.sun.star.drawing.XUniversalShapeDescriptor"                           , ,   -- #  386 unoil.jar
		"com.sun.star.drawing.framework.XCommandController"                        , ,   -- #  387 unoil.jar
		"com.sun.star.drawing.framework.XConfiguration"                            , ,   -- #  388 unoil.jar
		"com.sun.star.drawing.framework.XConfigurationChangeListener"              , ,   -- #  389 unoil.jar
		"com.sun.star.drawing.framework.XConfigurationChangeRequest"               , ,   -- #  390 unoil.jar
		"com.sun.star.drawing.framework.XConfigurationController"                  , ,   -- #  391 unoil.jar
		"com.sun.star.drawing.framework.XConfigurationControllerBroadcaster"       , ,   -- #  392 unoil.jar
		"com.sun.star.drawing.framework.XConfigurationControllerRequestQueue"      , ,   -- #  393 unoil.jar
		"com.sun.star.drawing.framework.XControllerManager"                        , ,   -- #  394 unoil.jar
		"com.sun.star.drawing.framework.XModuleController"                         , ,   -- #  395 unoil.jar
		"com.sun.star.drawing.framework.XPane"                                     , ,   -- #  396 unoil.jar
		"com.sun.star.drawing.framework.XPaneController"                           , ,   -- #  397 unoil.jar
		"com.sun.star.drawing.framework.XPaneFactory"                              , ,   -- #  398 unoil.jar
		"com.sun.star.drawing.framework.XRelocatableResource"                      , ,   -- #  399 unoil.jar
		"com.sun.star.drawing.framework.XResource"                                 , ,   -- #  400 unoil.jar
		"com.sun.star.drawing.framework.XResourceController"                       , ,   -- #  401 unoil.jar
		"com.sun.star.drawing.framework.XResourceId"                               , ,   -- #  402 unoil.jar
		"com.sun.star.drawing.framework.XTabBar"                                   , ,   -- #  403 unoil.jar
		"com.sun.star.drawing.framework.XToolBar"                                  , ,   -- #  404 unoil.jar
		"com.sun.star.drawing.framework.XToolBarController"                        , ,   -- #  405 unoil.jar
		"com.sun.star.drawing.framework.XToolBarFactory"                           , ,   -- #  406 unoil.jar
/* ---> [com.sun.star.drawing.framework.XView]: class name [XView] in use already! (com.sun.star.awt.XView) */ - 
		"com.sun.star.drawing.framework.XView"                                     , ,   -- #  407 unoil.jar
		"com.sun.star.drawing.framework.XViewController"                           , ,   -- #  408 unoil.jar
		"com.sun.star.drawing.framework.XViewFactory"                              , ,   -- #  409 unoil.jar
		"com.sun.star.embed.XActionsApproval"                                      , ,   -- #  410 unoil.jar
		"com.sun.star.embed.XClassifiedObject"                                     , ,   -- #  411 unoil.jar
		"com.sun.star.embed.XCommonEmbedPersist"                                   , ,   -- #  412 unoil.jar
		"com.sun.star.embed.XComponentSupplier"                                    , ,   -- #  413 unoil.jar
		"com.sun.star.embed.XEmbedObjectClipboardCreator"                          , ,   -- #  414 unoil.jar
		"com.sun.star.embed.XEmbedObjectCreator"                                   , ,   -- #  415 unoil.jar
		"com.sun.star.embed.XEmbedObjectFactory"                                   , ,   -- #  416 unoil.jar
		"com.sun.star.embed.XEmbedPersist"                                         , ,   -- #  417 unoil.jar
		"com.sun.star.embed.XEmbeddedClient"                                       , ,   -- #  418 unoil.jar
		"com.sun.star.embed.XEmbeddedObject"                                       , ,   -- #  419 unoil.jar
		"com.sun.star.embed.XEncryptionProtectedSource"                            , ,   -- #  420 unoil.jar
		"com.sun.star.embed.XExtendedStorageStream"                                , ,   -- #  421 unoil.jar
		"com.sun.star.embed.XHatchWindow"                                          , ,   -- #  422 unoil.jar
		"com.sun.star.embed.XHatchWindowController"                                , ,   -- #  423 unoil.jar
		"com.sun.star.embed.XHatchWindowFactory"                                   , ,   -- #  424 unoil.jar
		"com.sun.star.embed.XHierarchicalStorageAccess"                            , ,   -- #  425 unoil.jar
		"com.sun.star.embed.XInplaceClient"                                        , ,   -- #  426 unoil.jar
		"com.sun.star.embed.XInplaceObject"                                        , ,   -- #  427 unoil.jar
		"com.sun.star.embed.XInsertObjectDialog"                                   , ,   -- #  428 unoil.jar
		"com.sun.star.embed.XLinkCreator"                                          , ,   -- #  429 unoil.jar
		"com.sun.star.embed.XLinkFactory"                                          , ,   -- #  430 unoil.jar
		"com.sun.star.embed.XLinkageSupport"                                       , ,   -- #  431 unoil.jar
		"com.sun.star.embed.XOptimizedStorage"                                     , ,   -- #  432 unoil.jar
		"com.sun.star.embed.XPackageStructureCreator"                              , ,   -- #  433 unoil.jar
		"com.sun.star.embed.XPersistanceHolder"                                    , ,   -- #  434 unoil.jar
		"com.sun.star.embed.XRelationshipAccess"                                   , ,   -- #  435 unoil.jar
		"com.sun.star.embed.XStateChangeBroadcaster"                               , ,   -- #  436 unoil.jar
		"com.sun.star.embed.XStateChangeListener"                                  , ,   -- #  437 unoil.jar
		"com.sun.star.embed.XStorage"                                              , ,   -- #  438 unoil.jar
		"com.sun.star.embed.XStorageRawAccess"                                     , ,   -- #  439 unoil.jar
		"com.sun.star.embed.XTransactedObject"                                     , ,   -- #  440 unoil.jar
		"com.sun.star.embed.XTransactionBroadcaster"                               , ,   -- #  441 unoil.jar
		"com.sun.star.embed.XTransactionListener"                                  , ,   -- #  442 unoil.jar
/* ---> [com.sun.star.embed.XTransferableSupplier]: class name [XTransferableSupplier] in use already! (com.sun.star.datatransfer.XTransferableSupplier) */ - 
		"com.sun.star.embed.XTransferableSupplier"                                 , ,   -- #  443 unoil.jar
		"com.sun.star.embed.XVisualObject"                                         , ,   -- #  444 unoil.jar
		"com.sun.star.embed.XWindowSupplier"                                       , ,   -- #  445 unoil.jar
		"com.sun.star.form.XApproveActionBroadcaster"                              , ,   -- #  446 unoil.jar
		"com.sun.star.form.XApproveActionListener"                                 , ,   -- #  447 unoil.jar
		"com.sun.star.form.XBoundComponent"                                        , ,   -- #  448 unoil.jar
		"com.sun.star.form.XBoundControl"                                          , ,   -- #  449 unoil.jar
		"com.sun.star.form.XChangeBroadcaster"                                     , ,   -- #  450 unoil.jar
		"com.sun.star.form.XChangeListener"                                        , ,   -- #  451 unoil.jar
		"com.sun.star.form.XConfirmDeleteBroadcaster"                              , ,   -- #  452 unoil.jar
		"com.sun.star.form.XConfirmDeleteListener"                                 , ,   -- #  453 unoil.jar
		"com.sun.star.form.XDatabaseParameterBroadcaster"                          , ,   -- #  454 unoil.jar
		"com.sun.star.form.XDatabaseParameterBroadcaster2"                         , ,   -- #  455 unoil.jar
		"com.sun.star.form.XDatabaseParameterListener"                             , ,   -- #  456 unoil.jar
		"com.sun.star.form.XDeleteListener"                                        , ,   -- #  457 unoil.jar
		"com.sun.star.form.XErrorBroadcaster"                                      , ,   -- #  458 unoil.jar
		"com.sun.star.form.XErrorListener"                                         , ,   -- #  459 unoil.jar
		"com.sun.star.form.XForm"                                                  , ,   -- #  460 unoil.jar
		"com.sun.star.form.XFormComponent"                                         , ,   -- #  461 unoil.jar
		"com.sun.star.form.XFormController"                                        , ,   -- #  462 unoil.jar
		"com.sun.star.form.XFormControllerListener"                                , ,   -- #  463 unoil.jar
		"com.sun.star.form.XFormsSupplier"                                         , ,   -- #  464 unoil.jar
		"com.sun.star.form.XFormsSupplier2"                                        , ,   -- #  465 unoil.jar
		"com.sun.star.form.XGrid"                                                  , ,   -- #  466 unoil.jar
		"com.sun.star.form.XGridColumnFactory"                                     , ,   -- #  467 unoil.jar
		"com.sun.star.form.XGridFieldDataSupplier"                                 , ,   -- #  468 unoil.jar
		"com.sun.star.form.XGridPeer"                                              , ,   -- #  469 unoil.jar
		"com.sun.star.form.XImageProducerSupplier"                                 , ,   -- #  470 unoil.jar
		"com.sun.star.form.XInsertListener"                                        , ,   -- #  471 unoil.jar
		"com.sun.star.form.XLoadListener"                                          , ,   -- #  472 unoil.jar
		"com.sun.star.form.XLoadable"                                              , ,   -- #  473 unoil.jar
		"com.sun.star.form.XPositioningListener"                                   , ,   -- #  474 unoil.jar
		"com.sun.star.form.XReset"                                                 , ,   -- #  475 unoil.jar
		"com.sun.star.form.XResetListener"                                         , ,   -- #  476 unoil.jar
		"com.sun.star.form.XRestoreListener"                                       , ,   -- #  477 unoil.jar
		"com.sun.star.form.XSubmit"                                                , ,   -- #  478 unoil.jar
		"com.sun.star.form.XSubmitListener"                                        , ,   -- #  479 unoil.jar
		"com.sun.star.form.XUpdateBroadcaster"                                     , ,   -- #  480 unoil.jar
		"com.sun.star.form.XUpdateListener"                                        , ,   -- #  481 unoil.jar
		"com.sun.star.form.binding.XBindableValue"                                 , ,   -- #  482 unoil.jar
		"com.sun.star.form.binding.XListEntryListener"                             , ,   -- #  483 unoil.jar
		"com.sun.star.form.binding.XListEntrySink"                                 , ,   -- #  484 unoil.jar
		"com.sun.star.form.binding.XListEntrySource"                               , ,   -- #  485 unoil.jar
		"com.sun.star.form.binding.XValueBinding"                                  , ,   -- #  486 unoil.jar
		"com.sun.star.form.runtime.XFeatureInvalidation"                           , ,   -- #  487 unoil.jar
		"com.sun.star.form.runtime.XFormOperations"                                , ,   -- #  488 unoil.jar
		"com.sun.star.form.submission.XSubmission"                                 , ,   -- #  489 unoil.jar
		"com.sun.star.form.submission.XSubmissionSupplier"                         , ,   -- #  490 unoil.jar
		"com.sun.star.form.submission.XSubmissionVetoListener"                     , ,   -- #  491 unoil.jar
		"com.sun.star.form.validation.XFormComponentValidityListener"              , ,   -- #  492 unoil.jar
		"com.sun.star.form.validation.XValidatable"                                , ,   -- #  493 unoil.jar
		"com.sun.star.form.validation.XValidatableFormComponent"                   , ,   -- #  494 unoil.jar
		"com.sun.star.form.validation.XValidator"                                  , ,   -- #  495 unoil.jar
		"com.sun.star.form.validation.XValidityConstraintListener"                 , ,   -- #  496 unoil.jar
		"com.sun.star.frame.XBorderResizeListener"                                 , ,   -- #  497 unoil.jar
		"com.sun.star.frame.XBrowseHistoryRegistry"                                , ,   -- #  498 unoil.jar
		"com.sun.star.frame.XComponentLoader"                                      , ,   -- #  499 unoil.jar
		"com.sun.star.frame.XComponentRegistry"                                    , ,   -- #  500 unoil.jar
		"com.sun.star.frame.XConfigManager"                                        , ,   -- #  501 unoil.jar
		"com.sun.star.frame.XControlNotificationListener"                          , ,   -- #  502 unoil.jar
		"com.sun.star.frame.XController"                                           , ,   -- #  503 unoil.jar
		"com.sun.star.frame.XControllerBorder"                                     , ,   -- #  504 unoil.jar
		"com.sun.star.frame.XDesktop"                                              , ,   -- #  505 unoil.jar
		"com.sun.star.frame.XDesktopTask"                                          , ,   -- #  506 unoil.jar
		"com.sun.star.frame.XDispatch"                                             , ,   -- #  507 unoil.jar
		"com.sun.star.frame.XDispatchHelper"                                       , ,   -- #  508 unoil.jar
		"com.sun.star.frame.XDispatchInformationProvider"                          , ,   -- #  509 unoil.jar
		"com.sun.star.frame.XDispatchProvider"                                     , ,   -- #  510 unoil.jar
		"com.sun.star.frame.XDispatchProviderInterception"                         , ,   -- #  511 unoil.jar
		"com.sun.star.frame.XDispatchProviderInterceptor"                          , ,   -- #  512 unoil.jar
		"com.sun.star.frame.XDispatchRecorder"                                     , ,   -- #  513 unoil.jar
		"com.sun.star.frame.XDispatchRecorderSupplier"                             , ,   -- #  514 unoil.jar
		"com.sun.star.frame.XDispatchResultListener"                               , ,   -- #  515 unoil.jar
		"com.sun.star.frame.XDocumentTemplates"                                    , ,   -- #  516 unoil.jar
/* ---> [com.sun.star.frame.XExtendedFilterDetection]: class name [XExtendedFilterDetection] in use already! (com.sun.star.document.XExtendedFilterDetection) */ - 
		"com.sun.star.frame.XExtendedFilterDetection"                              , ,   -- #  517 unoil.jar
		"com.sun.star.frame.XFilterDetect"                                         , ,   -- #  518 unoil.jar
		"com.sun.star.frame.XFrame"                                                , ,   -- #  519 unoil.jar
		"com.sun.star.frame.XFrameActionListener"                                  , ,   -- #  520 unoil.jar
		"com.sun.star.frame.XFrameLoader"                                          , ,   -- #  521 unoil.jar
		"com.sun.star.frame.XFrameLoaderQuery"                                     , ,   -- #  522 unoil.jar
		"com.sun.star.frame.XFrameSetModel"                                        , ,   -- #  523 unoil.jar
		"com.sun.star.frame.XFrames"                                               , ,   -- #  524 unoil.jar
		"com.sun.star.frame.XFramesSupplier"                                       , ,   -- #  525 unoil.jar
		"com.sun.star.frame.XInplaceLayout"                                        , ,   -- #  526 unoil.jar
		"com.sun.star.frame.XInterceptorInfo"                                      , ,   -- #  527 unoil.jar
		"com.sun.star.frame.XLayoutManager"                                        , ,   -- #  528 unoil.jar
		"com.sun.star.frame.XLayoutManagerEventBroadcaster"                        , ,   -- #  529 unoil.jar
		"com.sun.star.frame.XLayoutManagerListener"                                , ,   -- #  530 unoil.jar
		"com.sun.star.frame.XLoadEventListener"                                    , ,   -- #  531 unoil.jar
/* ---> [com.sun.star.frame.XLoadable]: class name [XLoadable] in use already! (com.sun.star.form.XLoadable) */ - 
		"com.sun.star.frame.XLoadable"                                             , ,   -- #  532 unoil.jar
		"com.sun.star.frame.XMenuBarAcceptor"                                      , ,   -- #  533 unoil.jar
		"com.sun.star.frame.XMenuBarMergingAcceptor"                               , ,   -- #  534 unoil.jar
		"com.sun.star.frame.XModel"                                                , ,   -- #  535 unoil.jar
		"com.sun.star.frame.XModel2"                                               , ,   -- #  536 unoil.jar
		"com.sun.star.frame.XModule"                                               , ,   -- #  537 unoil.jar
		"com.sun.star.frame.XModuleManager"                                        , ,   -- #  538 unoil.jar
		"com.sun.star.frame.XNotifyingDispatch"                                    , ,   -- #  539 unoil.jar
		"com.sun.star.frame.XPopupMenuController"                                  , ,   -- #  540 unoil.jar
		"com.sun.star.frame.XRecordableDispatch"                                   , ,   -- #  541 unoil.jar
		"com.sun.star.frame.XSessionManagerClient"                                 , ,   -- #  542 unoil.jar
		"com.sun.star.frame.XSessionManagerListener"                               , ,   -- #  543 unoil.jar
		"com.sun.star.frame.XStatusListener"                                       , ,   -- #  544 unoil.jar
		"com.sun.star.frame.XStatusbarController"                                  , ,   -- #  545 unoil.jar
		"com.sun.star.frame.XStorable"                                             , ,   -- #  546 unoil.jar
		"com.sun.star.frame.XStorable2"                                            , ,   -- #  547 unoil.jar
		"com.sun.star.frame.XSubToolbarController"                                 , ,   -- #  548 unoil.jar
		"com.sun.star.frame.XSynchronousDispatch"                                  , ,   -- #  549 unoil.jar
		"com.sun.star.frame.XSynchronousFrameLoader"                               , ,   -- #  550 unoil.jar
		"com.sun.star.frame.XTask"                                                 , ,   -- #  551 unoil.jar
		"com.sun.star.frame.XTasksSupplier"                                        , ,   -- #  552 unoil.jar
		"com.sun.star.frame.XTerminateListener"                                    , ,   -- #  553 unoil.jar
		"com.sun.star.frame.XTerminateListener2"                                   , ,   -- #  554 unoil.jar
/* ---> [com.sun.star.frame.XToolbarController]: class name [XToolbarController] in use already! (com.sun.star.drawing.framework.XToolBarController) */ - 
		"com.sun.star.frame.XToolbarController"                                    , ,   -- #  555 unoil.jar
		"com.sun.star.frame.XTransientDocumentsDocumentContentFactory"             , ,   -- #  556 unoil.jar
		"com.sun.star.frame.XUIControllerRegistration"                             , ,   -- #  557 unoil.jar
		"com.sun.star.frame.XUrlList"                                              , ,   -- #  558 unoil.jar
		"com.sun.star.frame.XWindowArranger"                                       , ,   -- #  559 unoil.jar
		"com.sun.star.gallery.XGalleryItem"                                        , ,   -- #  560 unoil.jar
		"com.sun.star.gallery.XGalleryTheme"                                       , ,   -- #  561 unoil.jar
		"com.sun.star.gallery.XGalleryThemeProvider"                               , ,   -- #  562 unoil.jar
		"com.sun.star.geometry.XMapping2D"                                         , ,   -- #  563 unoil.jar
		"com.sun.star.graphic.XGraphic"                                            , ,   -- #  564 unoil.jar
		"com.sun.star.graphic.XGraphicProvider"                                    , ,   -- #  565 unoil.jar
		"com.sun.star.graphic.XGraphicRenderer"                                    , ,   -- #  566 unoil.jar
		"com.sun.star.i18n.XBreakIterator"                                         , ,   -- #  567 unoil.jar
		"com.sun.star.i18n.XCalendar"                                              , ,   -- #  568 unoil.jar
		"com.sun.star.i18n.XCharacterClassification"                               , ,   -- #  569 unoil.jar
		"com.sun.star.i18n.XCollator"                                              , ,   -- #  570 unoil.jar
		"com.sun.star.i18n.XExtendedCalendar"                                      , ,   -- #  571 unoil.jar
		"com.sun.star.i18n.XExtendedIndexEntrySupplier"                            , ,   -- #  572 unoil.jar
		"com.sun.star.i18n.XExtendedInputSequenceChecker"                          , ,   -- #  573 unoil.jar
		"com.sun.star.i18n.XExtendedTextConversion"                                , ,   -- #  574 unoil.jar
		"com.sun.star.i18n.XExtendedTransliteration"                               , ,   -- #  575 unoil.jar
		"com.sun.star.i18n.XForbiddenCharacters"                                   , ,   -- #  576 unoil.jar
		"com.sun.star.i18n.XIndexEntrySupplier"                                    , ,   -- #  577 unoil.jar
		"com.sun.star.i18n.XInputSequenceChecker"                                  , ,   -- #  578 unoil.jar
		"com.sun.star.i18n.XLocaleData"                                            , ,   -- #  579 unoil.jar
		"com.sun.star.i18n.XLocaleData2"                                           , ,   -- #  580 unoil.jar
		"com.sun.star.i18n.XNativeNumberSupplier"                                  , ,   -- #  581 unoil.jar
		"com.sun.star.i18n.XNumberFormatCode"                                      , ,   -- #  582 unoil.jar
		"com.sun.star.i18n.XOrdinalSuffix"                                         , ,   -- #  583 unoil.jar
		"com.sun.star.i18n.XScriptTypeDetector"                                    , ,   -- #  584 unoil.jar
		"com.sun.star.i18n.XTextConversion"                                        , ,   -- #  585 unoil.jar
		"com.sun.star.i18n.XTransliteration"                                       , ,   -- #  586 unoil.jar
		"com.sun.star.inspection.XHyperlinkControl"                                , ,   -- #  587 unoil.jar
		"com.sun.star.inspection.XNumericControl"                                  , ,   -- #  588 unoil.jar
		"com.sun.star.inspection.XObjectInspector"                                 , ,   -- #  589 unoil.jar
		"com.sun.star.inspection.XObjectInspectorModel"                            , ,   -- #  590 unoil.jar
		"com.sun.star.inspection.XObjectInspectorUI"                               , ,   -- #  591 unoil.jar
		"com.sun.star.inspection.XPropertyControl"                                 , ,   -- #  592 unoil.jar
		"com.sun.star.inspection.XPropertyControlContext"                          , ,   -- #  593 unoil.jar
		"com.sun.star.inspection.XPropertyControlFactory"                          , ,   -- #  594 unoil.jar
		"com.sun.star.inspection.XPropertyControlObserver"                         , ,   -- #  595 unoil.jar
		"com.sun.star.inspection.XPropertyHandler"                                 , ,   -- #  596 unoil.jar
		"com.sun.star.inspection.XStringListControl"                               , ,   -- #  597 unoil.jar
		"com.sun.star.inspection.XStringRepresentation"                            , ,   -- #  598 unoil.jar
		"com.sun.star.installation.XInstallationCheck"                             , ,   -- #  599 unoil.jar
		"com.sun.star.installation.XProtocolHandlerCheck"                          , ,   -- #  600 unoil.jar
		"com.sun.star.io.XActiveDataControl"                                       , ,   -- #  601 ridl.jar
		"com.sun.star.io.XActiveDataSink"                                          , ,   -- #  602 ridl.jar
		"com.sun.star.io.XActiveDataSource"                                        , ,   -- #  603 ridl.jar
		"com.sun.star.io.XActiveDataStreamer"                                      , ,   -- #  604 ridl.jar
		"com.sun.star.io.XAsyncOutputMonitor"                                      , ,   -- #  605 ridl.jar
		"com.sun.star.io.XConnectable"                                             , ,   -- #  606 ridl.jar
		"com.sun.star.io.XDataExporter"                                            , ,   -- #  607 ridl.jar
		"com.sun.star.io.XDataImporter"                                            , ,   -- #  608 ridl.jar
		"com.sun.star.io.XDataInputStream"                                         , ,   -- #  609 ridl.jar
		"com.sun.star.io.XDataOutputStream"                                        , ,   -- #  610 ridl.jar
		"com.sun.star.io.XDataTransferEventListener"                               , ,   -- #  611 ridl.jar
		"com.sun.star.io.XInputStream"                                             , ,   -- #  612 ridl.jar
		"com.sun.star.io.XInputStreamProvider"                                     , ,   -- #  613 ridl.jar
		"com.sun.star.io.XMarkableStream"                                          , ,   -- #  614 ridl.jar
		"com.sun.star.io.XObjectInputStream"                                       , ,   -- #  615 ridl.jar
		"com.sun.star.io.XObjectOutputStream"                                      , ,   -- #  616 ridl.jar
		"com.sun.star.io.XOutputStream"                                            , ,   -- #  617 ridl.jar
		"com.sun.star.io.XPersist"                                                 , ,   -- #  618 ridl.jar
		"com.sun.star.io.XPersistObject"                                           , ,   -- #  619 ridl.jar
		"com.sun.star.io.XSeekable"                                                , ,   -- #  620 ridl.jar
		"com.sun.star.io.XSeekableInputStream"                                     , ,   -- #  621 ridl.jar
		"com.sun.star.io.XStream"                                                  , ,   -- #  622 ridl.jar
		"com.sun.star.io.XStreamListener"                                          , ,   -- #  623 ridl.jar
		"com.sun.star.io.XTextInputStream"                                         , ,   -- #  624 ridl.jar
		"com.sun.star.io.XTextOutputStream"                                        , ,   -- #  625 ridl.jar
		"com.sun.star.io.XTruncate"                                                , ,   -- #  626 ridl.jar
		"com.sun.star.io.XXMLExtractor"                                            , ,   -- #  627 ridl.jar
		"com.sun.star.java.XJavaThreadRegister_11"                                 , ,   -- #  628 ridl.jar
		"com.sun.star.java.XJavaVM"                                                , ,   -- #  629 ridl.jar
		"com.sun.star.lang.XComponent"                                             , ,   -- #  630 ridl.jar
		"com.sun.star.lang.XConnectionPoint"                                       , ,   -- #  631 ridl.jar
		"com.sun.star.lang.XConnectionPointContainer"                              , ,   -- #  632 ridl.jar
/* ---> [com.sun.star.lang.XEventListener]: class name [XEventListener] in use already! (com.sun.star.document.XEventListener) */ - 
		"com.sun.star.lang.XEventListener"                                         , ,   -- #  633 ridl.jar
		"com.sun.star.lang.XInitialization"                                        , ,   -- #  634 ridl.jar
		"com.sun.star.lang.XLocalizable"                                           , ,   -- #  635 ridl.jar
		"com.sun.star.lang.XMain"                                                  , ,   -- #  636 ridl.jar
		"com.sun.star.lang.XMultiComponentFactory"                                 , ,   -- #  637 ridl.jar
		"com.sun.star.lang.XMultiServiceFactory"                                   , ,   -- #  638 ridl.jar
		"com.sun.star.lang.XServiceDisplayName"                                    , ,   -- #  639 ridl.jar
		"com.sun.star.lang.XServiceInfo"                                           , ,   -- #  640 ridl.jar
		"com.sun.star.lang.XServiceName"                                           , ,   -- #  641 ridl.jar
		"com.sun.star.lang.XSingleComponentFactory"                                , ,   -- #  642 ridl.jar
		"com.sun.star.lang.XSingleServiceFactory"                                  , ,   -- #  643 ridl.jar
		"com.sun.star.lang.XTypeProvider"                                          , ,   -- #  644 ridl.jar
		"com.sun.star.lang.XUnoTunnel"                                             , ,   -- #  645 ridl.jar
		"com.sun.star.lib.sandbox.XImage"                                          , ,   -- #  646 sandbox.jar
		"com.sun.star.lib.uno.adapter.XInputStreamToInputStreamAdapter"            , ,   -- #  647 juh.jar
		"com.sun.star.lib.uno.adapter.XOutputStreamToByteArrayAdapter"             , ,   -- #  648 juh.jar
		"com.sun.star.lib.uno.adapter.XOutputStreamToOutputStreamAdapter"          , ,   -- #  649 juh.jar
		"com.sun.star.lib.uno.bridges.java_remote.XConnectionInputStream_Adapter"  , ,   -- #  650 jurt.jar
		"com.sun.star.lib.uno.bridges.java_remote.XConnectionOutputStream_Adapter" , ,   -- #  651 jurt.jar
		"com.sun.star.linguistic2.XAvailableLocales"                               , ,   -- #  652 unoil.jar
		"com.sun.star.linguistic2.XConversionDictionary"                           , ,   -- #  653 unoil.jar
		"com.sun.star.linguistic2.XConversionDictionaryList"                       , ,   -- #  654 unoil.jar
		"com.sun.star.linguistic2.XConversionPropertyType"                         , ,   -- #  655 unoil.jar
		"com.sun.star.linguistic2.XDictionary"                                     , ,   -- #  656 unoil.jar
		"com.sun.star.linguistic2.XDictionary1"                                    , ,   -- #  657 unoil.jar
		"com.sun.star.linguistic2.XDictionaryEntry"                                , ,   -- #  658 unoil.jar
		"com.sun.star.linguistic2.XDictionaryEventListener"                        , ,   -- #  659 unoil.jar
		"com.sun.star.linguistic2.XDictionaryList"                                 , ,   -- #  660 unoil.jar
		"com.sun.star.linguistic2.XDictionaryListEventListener"                    , ,   -- #  661 unoil.jar
		"com.sun.star.linguistic2.XHyphenatedWord"                                 , ,   -- #  662 unoil.jar
		"com.sun.star.linguistic2.XHyphenator"                                     , ,   -- #  663 unoil.jar
		"com.sun.star.linguistic2.XLanguageGuessing"                               , ,   -- #  664 unoil.jar
		"com.sun.star.linguistic2.XLinguServiceEventBroadcaster"                   , ,   -- #  665 unoil.jar
		"com.sun.star.linguistic2.XLinguServiceEventListener"                      , ,   -- #  666 unoil.jar
		"com.sun.star.linguistic2.XLinguServiceManager"                            , ,   -- #  667 unoil.jar
		"com.sun.star.linguistic2.XMeaning"                                        , ,   -- #  668 unoil.jar
		"com.sun.star.linguistic2.XPossibleHyphens"                                , ,   -- #  669 unoil.jar
		"com.sun.star.linguistic2.XSearchableDictionaryList"                       , ,   -- #  670 unoil.jar
		"com.sun.star.linguistic2.XSpellAlternatives"                              , ,   -- #  671 unoil.jar
		"com.sun.star.linguistic2.XSpellChecker"                                   , ,   -- #  672 unoil.jar
		"com.sun.star.linguistic2.XSpellChecker1"                                  , ,   -- #  673 unoil.jar
		"com.sun.star.linguistic2.XSupportedLanguages"                             , ,   -- #  674 unoil.jar
		"com.sun.star.linguistic2.XSupportedLocales"                               , ,   -- #  675 unoil.jar
		"com.sun.star.linguistic2.XThesaurus"                                      , ,   -- #  676 unoil.jar
		"com.sun.star.loader.XImplementationLoader"                                , ,   -- #  677 ridl.jar
		"com.sun.star.logging.XConsoleHandler"                                     , ,   -- #  678 unoil.jar
		"com.sun.star.logging.XLogFormatter"                                       , ,   -- #  679 unoil.jar
		"com.sun.star.logging.XLogHandler"                                         , ,   -- #  680 unoil.jar
		"com.sun.star.logging.XLogger"                                             , ,   -- #  681 unoil.jar
		"com.sun.star.logging.XLoggerPool"                                         , ,   -- #  682 unoil.jar
		"com.sun.star.mail.XAuthenticator"                                         , ,   -- #  683 unoil.jar
		"com.sun.star.mail.XConnectionListener"                                    , ,   -- #  684 unoil.jar
		"com.sun.star.mail.XMailMessage"                                           , ,   -- #  685 unoil.jar
		"com.sun.star.mail.XMailService"                                           , ,   -- #  686 unoil.jar
		"com.sun.star.mail.XMailServiceProvider"                                   , ,   -- #  687 unoil.jar
		"com.sun.star.mail.XSmtpService"                                           , ,   -- #  688 unoil.jar
		"com.sun.star.media.XFrameGrabber"                                         , ,   -- #  689 unoil.jar
		"com.sun.star.media.XManager"                                              , ,   -- #  690 unoil.jar
		"com.sun.star.media.XPlayer"                                               , ,   -- #  691 unoil.jar
		"com.sun.star.media.XPlayerWindow"                                         , ,   -- #  692 unoil.jar
		"com.sun.star.mozilla.XCloseSessionListener"                               , ,   -- #  693 unoil.jar
		"com.sun.star.mozilla.XCodeProxy"                                          , ,   -- #  694 unoil.jar
		"com.sun.star.mozilla.XMenuProxy"                                          , ,   -- #  695 unoil.jar
		"com.sun.star.mozilla.XMenuProxyListener"                                  , ,   -- #  696 unoil.jar
		"com.sun.star.mozilla.XMozillaBootstrap"                                   , ,   -- #  697 unoil.jar
		"com.sun.star.mozilla.XPluginInstance"                                     , ,   -- #  698 unoil.jar
		"com.sun.star.mozilla.XPluginInstanceNotifySink"                           , ,   -- #  699 unoil.jar
		"com.sun.star.mozilla.XPluginInstancePeer"                                 , ,   -- #  700 unoil.jar
		"com.sun.star.mozilla.XPluginInstanceSyncPeer"                             , ,   -- #  701 unoil.jar
		"com.sun.star.mozilla.XPluginWindowPeer"                                   , ,   -- #  702 unoil.jar
		"com.sun.star.mozilla.XProfileDiscover"                                    , ,   -- #  703 unoil.jar
		"com.sun.star.mozilla.XProfileManager"                                     , ,   -- #  704 unoil.jar
		"com.sun.star.mozilla.XProxyRunner"                                        , ,   -- #  705 unoil.jar
		"com.sun.star.mozilla.XRemoteServiceManagerProvider"                       , ,   -- #  706 unoil.jar
		"com.sun.star.packages.XDataSinkEncrSupport"                               , ,   -- #  707 unoil.jar
		"com.sun.star.packages.manifest.XManifestReader"                           , ,   -- #  708 unoil.jar
		"com.sun.star.packages.manifest.XManifestWriter"                           , ,   -- #  709 unoil.jar
		"com.sun.star.packages.zip.XZipFileAccess"                                 , ,   -- #  710 unoil.jar
		"com.sun.star.plugin.XPlugin"                                              , ,   -- #  711 unoil.jar
		"com.sun.star.plugin.XPluginContext"                                       , ,   -- #  712 unoil.jar
		"com.sun.star.plugin.XPluginManager"                                       , ,   -- #  713 unoil.jar
		"com.sun.star.presentation.XCustomPresentationSupplier"                    , ,   -- #  714 unoil.jar
		"com.sun.star.presentation.XHandoutMasterSupplier"                         , ,   -- #  715 unoil.jar
		"com.sun.star.presentation.XPresentation"                                  , ,   -- #  716 unoil.jar
		"com.sun.star.presentation.XPresentationPage"                              , ,   -- #  717 unoil.jar
		"com.sun.star.presentation.XPresentationSupplier"                          , ,   -- #  718 unoil.jar
		"com.sun.star.reflection.XArrayTypeDescription"                            , ,   -- #  719 ridl.jar
		"com.sun.star.reflection.XCompoundTypeDescription"                         , ,   -- #  720 ridl.jar
		"com.sun.star.reflection.XConstantTypeDescription"                         , ,   -- #  721 ridl.jar
		"com.sun.star.reflection.XConstantsTypeDescription"                        , ,   -- #  722 ridl.jar
		"com.sun.star.reflection.XEnumTypeDescription"                             , ,   -- #  723 ridl.jar
		"com.sun.star.reflection.XIdlArray"                                        , ,   -- #  724 ridl.jar
		"com.sun.star.reflection.XIdlClass"                                        , ,   -- #  725 ridl.jar
		"com.sun.star.reflection.XIdlClassProvider"                                , ,   -- #  726 ridl.jar
		"com.sun.star.reflection.XIdlField"                                        , ,   -- #  727 ridl.jar
		"com.sun.star.reflection.XIdlField2"                                       , ,   -- #  728 ridl.jar
		"com.sun.star.reflection.XIdlMember"                                       , ,   -- #  729 ridl.jar
		"com.sun.star.reflection.XIdlMethod"                                       , ,   -- #  730 ridl.jar
		"com.sun.star.reflection.XIdlReflection"                                   , ,   -- #  731 ridl.jar
		"com.sun.star.reflection.XIndirectTypeDescription"                         , ,   -- #  732 ridl.jar
		"com.sun.star.reflection.XInterfaceAttributeTypeDescription"               , ,   -- #  733 ridl.jar
		"com.sun.star.reflection.XInterfaceAttributeTypeDescription2"              , ,   -- #  734 ridl.jar
		"com.sun.star.reflection.XInterfaceMemberTypeDescription"                  , ,   -- #  735 ridl.jar
		"com.sun.star.reflection.XInterfaceMethodTypeDescription"                  , ,   -- #  736 ridl.jar
		"com.sun.star.reflection.XInterfaceTypeDescription"                        , ,   -- #  737 ridl.jar
		"com.sun.star.reflection.XInterfaceTypeDescription2"                       , ,   -- #  738 ridl.jar
		"com.sun.star.reflection.XMethodParameter"                                 , ,   -- #  739 ridl.jar
		"com.sun.star.reflection.XModuleTypeDescription"                           , ,   -- #  740 ridl.jar
		"com.sun.star.reflection.XParameter"                                       , ,   -- #  741 ridl.jar
		"com.sun.star.reflection.XPropertyTypeDescription"                         , ,   -- #  742 ridl.jar
		"com.sun.star.reflection.XProxyFactory"                                    , ,   -- #  743 ridl.jar
		"com.sun.star.reflection.XPublished"                                       , ,   -- #  744 ridl.jar
		"com.sun.star.reflection.XServiceConstructorDescription"                   , ,   -- #  745 ridl.jar
		"com.sun.star.reflection.XServiceTypeDescription"                          , ,   -- #  746 ridl.jar
		"com.sun.star.reflection.XServiceTypeDescription2"                         , ,   -- #  747 ridl.jar
		"com.sun.star.reflection.XSingletonTypeDescription"                        , ,   -- #  748 ridl.jar
		"com.sun.star.reflection.XSingletonTypeDescription2"                       , ,   -- #  749 ridl.jar
		"com.sun.star.reflection.XStructTypeDescription"                           , ,   -- #  750 ridl.jar
		"com.sun.star.reflection.XTypeDescription"                                 , ,   -- #  751 ridl.jar
		"com.sun.star.reflection.XTypeDescriptionEnumeration"                      , ,   -- #  752 ridl.jar
		"com.sun.star.reflection.XTypeDescriptionEnumerationAccess"                , ,   -- #  753 ridl.jar
		"com.sun.star.reflection.XUnionTypeDescription"                            , ,   -- #  754 ridl.jar
		"com.sun.star.registry.XImplementationRegistration"                        , ,   -- #  755 ridl.jar
		"com.sun.star.registry.XImplementationRegistration2"                       , ,   -- #  756 ridl.jar
		"com.sun.star.registry.XRegistryKey"                                       , ,   -- #  757 ridl.jar
		"com.sun.star.registry.XSimpleRegistry"                                    , ,   -- #  758 ridl.jar
		"com.sun.star.rendering.XAnimatedSprite"                                   , ,   -- #  759 unoil.jar
		"com.sun.star.rendering.XAnimation"                                        , ,   -- #  760 unoil.jar
		"com.sun.star.rendering.XBezierPolyPolygon2D"                              , ,   -- #  761 unoil.jar
/* ---> [com.sun.star.rendering.XBitmap]: class name [XBitmap] in use already! (com.sun.star.awt.XBitmap) */ - 
		"com.sun.star.rendering.XBitmap"                                           , ,   -- #  762 unoil.jar
		"com.sun.star.rendering.XBitmapCanvas"                                     , ,   -- #  763 unoil.jar
		"com.sun.star.rendering.XBitmapPalette"                                    , ,   -- #  764 unoil.jar
		"com.sun.star.rendering.XBufferController"                                 , ,   -- #  765 unoil.jar
		"com.sun.star.rendering.XCachedPrimitive"                                  , ,   -- #  766 unoil.jar
		"com.sun.star.rendering.XCanvas"                                           , ,   -- #  767 unoil.jar
		"com.sun.star.rendering.XCanvasFont"                                       , ,   -- #  768 unoil.jar
		"com.sun.star.rendering.XColorSpace"                                       , ,   -- #  769 unoil.jar
		"com.sun.star.rendering.XCustomSprite"                                     , ,   -- #  770 unoil.jar
		"com.sun.star.rendering.XGraphicDevice"                                    , ,   -- #  771 unoil.jar
		"com.sun.star.rendering.XHalfFloatBitmap"                                  , ,   -- #  772 unoil.jar
		"com.sun.star.rendering.XIeeeDoubleBitmap"                                 , ,   -- #  773 unoil.jar
		"com.sun.star.rendering.XIeeeFloatBitmap"                                  , ,   -- #  774 unoil.jar
		"com.sun.star.rendering.XIntegerBitmap"                                    , ,   -- #  775 unoil.jar
		"com.sun.star.rendering.XLinePolyPolygon2D"                                , ,   -- #  776 unoil.jar
		"com.sun.star.rendering.XParametricPolyPolygon2D"                          , ,   -- #  777 unoil.jar
		"com.sun.star.rendering.XParametricPolyPolygon2DFactory"                   , ,   -- #  778 unoil.jar
		"com.sun.star.rendering.XPolyPolygon2D"                                    , ,   -- #  779 unoil.jar
		"com.sun.star.rendering.XSimpleCanvas"                                     , ,   -- #  780 unoil.jar
		"com.sun.star.rendering.XSprite"                                           , ,   -- #  781 unoil.jar
		"com.sun.star.rendering.XSpriteCanvas"                                     , ,   -- #  782 unoil.jar
		"com.sun.star.rendering.XTextLayout"                                       , ,   -- #  783 unoil.jar
		"com.sun.star.rendering.XVolatileBitmap"                                   , ,   -- #  784 unoil.jar
		"com.sun.star.report.XFixedLine"                                           , ,   -- #  785 unoil.jar
/* ---> [com.sun.star.report.XFixedText]: class name [XFixedText] in use already! (com.sun.star.awt.XFixedText) */ - 
		"com.sun.star.report.XFixedText"                                           , ,   -- #  786 unoil.jar
		"com.sun.star.report.XFormatCondition"                                     , ,   -- #  787 unoil.jar
		"com.sun.star.report.XFormattedField"                                      , ,   -- #  788 unoil.jar
		"com.sun.star.report.XFunction"                                            , ,   -- #  789 unoil.jar
		"com.sun.star.report.XFunctions"                                           , ,   -- #  790 unoil.jar
		"com.sun.star.report.XFunctionsSupplier"                                   , ,   -- #  791 unoil.jar
		"com.sun.star.report.XGroup"                                               , ,   -- #  792 unoil.jar
		"com.sun.star.report.XGroups"                                              , ,   -- #  793 unoil.jar
		"com.sun.star.report.XImageControl"                                        , ,   -- #  794 unoil.jar
		"com.sun.star.report.XReportComponent"                                     , ,   -- #  795 unoil.jar
		"com.sun.star.report.XReportControlFormat"                                 , ,   -- #  796 unoil.jar
		"com.sun.star.report.XReportControlModel"                                  , ,   -- #  797 unoil.jar
		"com.sun.star.report.XReportDefinition"                                    , ,   -- #  798 unoil.jar
		"com.sun.star.report.XReportEngine"                                        , ,   -- #  799 unoil.jar
		"com.sun.star.report.XSection"                                             , ,   -- #  800 unoil.jar
/* ---> [com.sun.star.report.XShape]: class name [XShape] in use already! (com.sun.star.drawing.XShape) */ - 
		"com.sun.star.report.XShape"                                               , ,   -- #  801 unoil.jar
		"com.sun.star.resource.XLocale"                                            , ,   -- #  802 unoil.jar
		"com.sun.star.resource.XResourceBundle"                                    , ,   -- #  803 unoil.jar
		"com.sun.star.resource.XResourceBundleLoader"                              , ,   -- #  804 unoil.jar
		"com.sun.star.resource.XStringResourceManager"                             , ,   -- #  805 unoil.jar
		"com.sun.star.resource.XStringResourcePersistence"                         , ,   -- #  806 unoil.jar
		"com.sun.star.resource.XStringResourceResolver"                            , ,   -- #  807 unoil.jar
		"com.sun.star.resource.XStringResourceSupplier"                            , ,   -- #  808 unoil.jar
		"com.sun.star.resource.XStringResourceWithLocation"                        , ,   -- #  809 unoil.jar
		"com.sun.star.resource.XStringResourceWithStorage"                         , ,   -- #  810 unoil.jar
		"com.sun.star.scanner.XScannerManager"                                     , ,   -- #  811 unoil.jar
		"com.sun.star.script.XAllListener"                                         , ,   -- #  812 ridl.jar
		"com.sun.star.script.XAllListenerAdapterService"                           , ,   -- #  813 ridl.jar
		"com.sun.star.script.XDebugging"                                           , ,   -- #  814 ridl.jar
		"com.sun.star.script.XDefaultMethod"                                       , ,   -- #  815 ridl.jar
		"com.sun.star.script.XDefaultProperty"                                     , ,   -- #  816 ridl.jar
		"com.sun.star.script.XEngine"                                              , ,   -- #  817 ridl.jar
		"com.sun.star.script.XEngineListener"                                      , ,   -- #  818 ridl.jar
		"com.sun.star.script.XEventAttacher"                                       , ,   -- #  819 ridl.jar
		"com.sun.star.script.XEventAttacherManager"                                , ,   -- #  820 ridl.jar
		"com.sun.star.script.XInvocation"                                          , ,   -- #  821 ridl.jar
		"com.sun.star.script.XInvocation2"                                         , ,   -- #  822 ridl.jar
		"com.sun.star.script.XInvocationAdapterFactory"                            , ,   -- #  823 ridl.jar
		"com.sun.star.script.XInvocationAdapterFactory2"                           , ,   -- #  824 ridl.jar
		"com.sun.star.script.XLibraryAccess"                                       , ,   -- #  825 ridl.jar
		"com.sun.star.script.XLibraryContainer"                                    , ,   -- #  826 unoil.jar
		"com.sun.star.script.XLibraryContainer2"                                   , ,   -- #  827 unoil.jar
		"com.sun.star.script.XLibraryContainerExport"                              , ,   -- #  828 unoil.jar
		"com.sun.star.script.XLibraryContainerPassword"                            , ,   -- #  829 unoil.jar
		"com.sun.star.script.XPersistentLibraryContainer"                          , ,   -- #  830 unoil.jar
		"com.sun.star.script.XScriptEventsAttacher"                                , ,   -- #  831 ridl.jar
		"com.sun.star.script.XScriptEventsSupplier"                                , ,   -- #  832 ridl.jar
		"com.sun.star.script.XScriptListener"                                      , ,   -- #  833 ridl.jar
		"com.sun.star.script.XStarBasicAccess"                                     , ,   -- #  834 ridl.jar
		"com.sun.star.script.XStarBasicDialogInfo"                                 , ,   -- #  835 ridl.jar
		"com.sun.star.script.XStarBasicLibraryInfo"                                , ,   -- #  836 ridl.jar
		"com.sun.star.script.XStarBasicModuleInfo"                                 , ,   -- #  837 ridl.jar
		"com.sun.star.script.XStorageBasedLibraryContainer"                        , ,   -- #  838 unoil.jar
		"com.sun.star.script.XTypeConverter"                                       , ,   -- #  839 ridl.jar
		"com.sun.star.script.browse.XBrowseNode"                                   , ,   -- #  840 unoil.jar
		"com.sun.star.script.browse.XBrowseNodeFactory"                            , ,   -- #  841 unoil.jar
		"com.sun.star.script.provider.XScript"                                     , ,   -- #  842 unoil.jar
		"com.sun.star.script.provider.XScriptContext"                              , ,   -- #  843 unoil.jar
		"com.sun.star.script.provider.XScriptProvider"                             , ,   -- #  844 unoil.jar
		"com.sun.star.script.provider.XScriptProviderFactory"                      , ,   -- #  845 unoil.jar
		"com.sun.star.script.provider.XScriptProviderSupplier"                     , ,   -- #  846 unoil.jar
		"com.sun.star.script.provider.XScriptURIHelper"                            , ,   -- #  847 unoil.jar
		"com.sun.star.sdb.XAlterQuery"                                             , ,   -- #  848 unoil.jar
		"com.sun.star.sdb.XBookmarksSupplier"                                      , ,   -- #  849 unoil.jar
		"com.sun.star.sdb.XColumn"                                                 , ,   -- #  850 unoil.jar
		"com.sun.star.sdb.XColumnUpdate"                                           , ,   -- #  851 unoil.jar
		"com.sun.star.sdb.XCommandPreparation"                                     , ,   -- #  852 unoil.jar
		"com.sun.star.sdb.XCompletedConnection"                                    , ,   -- #  853 unoil.jar
		"com.sun.star.sdb.XCompletedExecution"                                     , ,   -- #  854 unoil.jar
		"com.sun.star.sdb.XDatabaseAccess"                                         , ,   -- #  855 unoil.jar
		"com.sun.star.sdb.XDatabaseAccessListener"                                 , ,   -- #  856 unoil.jar
		"com.sun.star.sdb.XDatabaseEnvironment"                                    , ,   -- #  857 unoil.jar
		"com.sun.star.sdb.XDocumentDataSource"                                     , ,   -- #  858 unoil.jar
		"com.sun.star.sdb.XFormDocumentsSupplier"                                  , ,   -- #  859 unoil.jar
		"com.sun.star.sdb.XInteractionDocumentSave"                                , ,   -- #  860 unoil.jar
		"com.sun.star.sdb.XInteractionSupplyParameters"                            , ,   -- #  861 unoil.jar
		"com.sun.star.sdb.XOfficeDatabaseDocument"                                 , ,   -- #  862 unoil.jar
		"com.sun.star.sdb.XParametersSupplier"                                     , ,   -- #  863 unoil.jar
		"com.sun.star.sdb.XQueriesSupplier"                                        , ,   -- #  864 unoil.jar
		"com.sun.star.sdb.XQueryDefinitionsSupplier"                               , ,   -- #  865 unoil.jar
		"com.sun.star.sdb.XReportDocumentsSupplier"                                , ,   -- #  866 unoil.jar
		"com.sun.star.sdb.XResultSetAccess"                                        , ,   -- #  867 unoil.jar
		"com.sun.star.sdb.XRowSetApproveBroadcaster"                               , ,   -- #  868 unoil.jar
		"com.sun.star.sdb.XRowSetApproveListener"                                  , ,   -- #  869 unoil.jar
		"com.sun.star.sdb.XRowSetSupplier"                                         , ,   -- #  870 unoil.jar
		"com.sun.star.sdb.XSQLErrorBroadcaster"                                    , ,   -- #  871 unoil.jar
		"com.sun.star.sdb.XSQLErrorListener"                                       , ,   -- #  872 unoil.jar
		"com.sun.star.sdb.XSQLQueryComposer"                                       , ,   -- #  873 unoil.jar
		"com.sun.star.sdb.XSQLQueryComposerFactory"                                , ,   -- #  874 unoil.jar
		"com.sun.star.sdb.XSingleSelectQueryAnalyzer"                              , ,   -- #  875 unoil.jar
		"com.sun.star.sdb.XSingleSelectQueryComposer"                              , ,   -- #  876 unoil.jar
		"com.sun.star.sdb.application.XDatabaseDocumentUI"                         , ,   -- #  877 unoil.jar
		"com.sun.star.sdb.application.XTableUIProvider"                            , ,   -- #  878 unoil.jar
		"com.sun.star.sdb.tools.XConnectionTools"                                  , ,   -- #  879 unoil.jar
		"com.sun.star.sdb.tools.XDataSourceMetaData"                               , ,   -- #  880 unoil.jar
		"com.sun.star.sdb.tools.XObjectNames"                                      , ,   -- #  881 unoil.jar
		"com.sun.star.sdb.tools.XTableName"                                        , ,   -- #  882 unoil.jar
		"com.sun.star.sdbc.XArray"                                                 , ,   -- #  883 unoil.jar
		"com.sun.star.sdbc.XBatchExecution"                                        , ,   -- #  884 unoil.jar
		"com.sun.star.sdbc.XBlob"                                                  , ,   -- #  885 unoil.jar
		"com.sun.star.sdbc.XClob"                                                  , ,   -- #  886 unoil.jar
		"com.sun.star.sdbc.XCloseable"                                             , ,   -- #  887 unoil.jar
		"com.sun.star.sdbc.XColumnLocate"                                          , ,   -- #  888 unoil.jar
/* ---> [com.sun.star.sdbc.XConnection]: class name [XConnection] in use already! (com.sun.star.connection.XConnection) */ - 
		"com.sun.star.sdbc.XConnection"                                            , ,   -- #  889 unoil.jar
/* ---> [com.sun.star.sdbc.XDataSource]: class name [XDataSource] in use already! (com.sun.star.chart2.data.XDataSource) */ - 
		"com.sun.star.sdbc.XDataSource"                                            , ,   -- #  890 unoil.jar
		"com.sun.star.sdbc.XDatabaseMetaData"                                      , ,   -- #  891 unoil.jar
		"com.sun.star.sdbc.XDatabaseMetaData2"                                     , ,   -- #  892 unoil.jar
		"com.sun.star.sdbc.XDriver"                                                , ,   -- #  893 unoil.jar
		"com.sun.star.sdbc.XDriverAccess"                                          , ,   -- #  894 unoil.jar
		"com.sun.star.sdbc.XDriverManager"                                         , ,   -- #  895 unoil.jar
		"com.sun.star.sdbc.XGeneratedResultSet"                                    , ,   -- #  896 unoil.jar
		"com.sun.star.sdbc.XIsolatedConnection"                                    , ,   -- #  897 unoil.jar
		"com.sun.star.sdbc.XMultipleResults"                                       , ,   -- #  898 unoil.jar
		"com.sun.star.sdbc.XOutParameters"                                         , ,   -- #  899 unoil.jar
		"com.sun.star.sdbc.XParameters"                                            , ,   -- #  900 unoil.jar
		"com.sun.star.sdbc.XPooledConnection"                                      , ,   -- #  901 unoil.jar
		"com.sun.star.sdbc.XPreparedBatchExecution"                                , ,   -- #  902 unoil.jar
		"com.sun.star.sdbc.XPreparedStatement"                                     , ,   -- #  903 unoil.jar
		"com.sun.star.sdbc.XRef"                                                   , ,   -- #  904 unoil.jar
		"com.sun.star.sdbc.XResultSet"                                             , ,   -- #  905 unoil.jar
		"com.sun.star.sdbc.XResultSetMetaData"                                     , ,   -- #  906 unoil.jar
		"com.sun.star.sdbc.XResultSetMetaDataSupplier"                             , ,   -- #  907 unoil.jar
		"com.sun.star.sdbc.XResultSetUpdate"                                       , ,   -- #  908 unoil.jar
		"com.sun.star.sdbc.XRow"                                                   , ,   -- #  909 unoil.jar
		"com.sun.star.sdbc.XRowSet"                                                , ,   -- #  910 unoil.jar
		"com.sun.star.sdbc.XRowSetListener"                                        , ,   -- #  911 unoil.jar
		"com.sun.star.sdbc.XRowUpdate"                                             , ,   -- #  912 unoil.jar
		"com.sun.star.sdbc.XSQLData"                                               , ,   -- #  913 unoil.jar
		"com.sun.star.sdbc.XSQLInput"                                              , ,   -- #  914 unoil.jar
		"com.sun.star.sdbc.XSQLOutput"                                             , ,   -- #  915 unoil.jar
		"com.sun.star.sdbc.XStatement"                                             , ,   -- #  916 unoil.jar
		"com.sun.star.sdbc.XStruct"                                                , ,   -- #  917 unoil.jar
		"com.sun.star.sdbc.XWarningsSupplier"                                      , ,   -- #  918 unoil.jar
		"com.sun.star.sdbcx.XAlterTable"                                           , ,   -- #  919 unoil.jar
		"com.sun.star.sdbcx.XAppend"                                               , ,   -- #  920 unoil.jar
		"com.sun.star.sdbcx.XAuthorizable"                                         , ,   -- #  921 unoil.jar
		"com.sun.star.sdbcx.XColumnsSupplier"                                      , ,   -- #  922 unoil.jar
		"com.sun.star.sdbcx.XCreateCatalog"                                        , ,   -- #  923 unoil.jar
		"com.sun.star.sdbcx.XDataDefinitionSupplier"                               , ,   -- #  924 unoil.jar
		"com.sun.star.sdbcx.XDataDescriptorFactory"                                , ,   -- #  925 unoil.jar
		"com.sun.star.sdbcx.XDeleteRows"                                           , ,   -- #  926 unoil.jar
		"com.sun.star.sdbcx.XDrop"                                                 , ,   -- #  927 unoil.jar
		"com.sun.star.sdbcx.XDropCatalog"                                          , ,   -- #  928 unoil.jar
		"com.sun.star.sdbcx.XGroupsSupplier"                                       , ,   -- #  929 unoil.jar
		"com.sun.star.sdbcx.XIndexesSupplier"                                      , ,   -- #  930 unoil.jar
		"com.sun.star.sdbcx.XKeysSupplier"                                         , ,   -- #  931 unoil.jar
		"com.sun.star.sdbcx.XRename"                                               , ,   -- #  932 unoil.jar
		"com.sun.star.sdbcx.XRowLocate"                                            , ,   -- #  933 unoil.jar
		"com.sun.star.sdbcx.XTablesSupplier"                                       , ,   -- #  934 unoil.jar
		"com.sun.star.sdbcx.XUser"                                                 , ,   -- #  935 unoil.jar
		"com.sun.star.sdbcx.XUsersSupplier"                                        , ,   -- #  936 unoil.jar
		"com.sun.star.sdbcx.XViewsSupplier"                                        , ,   -- #  937 unoil.jar
		"com.sun.star.security.XAccessControlContext"                              , ,   -- #  938 ridl.jar
		"com.sun.star.security.XAccessController"                                  , ,   -- #  939 ridl.jar
		"com.sun.star.security.XAction"                                            , ,   -- #  940 ridl.jar
		"com.sun.star.security.XCertificate"                                       , ,   -- #  941 unoil.jar
		"com.sun.star.security.XCertificateExtension"                              , ,   -- #  942 unoil.jar
		"com.sun.star.security.XDocumentDigitalSignatures"                         , ,   -- #  943 unoil.jar
		"com.sun.star.security.XPolicy"                                            , ,   -- #  944 ridl.jar
		"com.sun.star.setup.XSetup"                                                , ,   -- #  945 unoil.jar
		"com.sun.star.sheet.XActivationBroadcaster"                                , ,   -- #  946 unoil.jar
		"com.sun.star.sheet.XActivationEventListener"                              , ,   -- #  947 unoil.jar
		"com.sun.star.sheet.XAddIn"                                                , ,   -- #  948 unoil.jar
		"com.sun.star.sheet.XAreaLink"                                             , ,   -- #  949 unoil.jar
		"com.sun.star.sheet.XAreaLinks"                                            , ,   -- #  950 unoil.jar
		"com.sun.star.sheet.XArrayFormulaRange"                                    , ,   -- #  951 unoil.jar
		"com.sun.star.sheet.XCalculatable"                                         , ,   -- #  952 unoil.jar
		"com.sun.star.sheet.XCellAddressable"                                      , ,   -- #  953 unoil.jar
		"com.sun.star.sheet.XCellFormatRangesSupplier"                             , ,   -- #  954 unoil.jar
		"com.sun.star.sheet.XCellRangeAddressable"                                 , ,   -- #  955 unoil.jar
		"com.sun.star.sheet.XCellRangeData"                                        , ,   -- #  956 unoil.jar
		"com.sun.star.sheet.XCellRangeFormula"                                     , ,   -- #  957 unoil.jar
		"com.sun.star.sheet.XCellRangeMovement"                                    , ,   -- #  958 unoil.jar
		"com.sun.star.sheet.XCellRangeReferrer"                                    , ,   -- #  959 unoil.jar
		"com.sun.star.sheet.XCellRangesAccess"                                     , ,   -- #  960 unoil.jar
		"com.sun.star.sheet.XCellRangesQuery"                                      , ,   -- #  961 unoil.jar
		"com.sun.star.sheet.XCellSeries"                                           , ,   -- #  962 unoil.jar
		"com.sun.star.sheet.XCompatibilityNames"                                   , ,   -- #  963 unoil.jar
		"com.sun.star.sheet.XConsolidatable"                                       , ,   -- #  964 unoil.jar
		"com.sun.star.sheet.XConsolidationDescriptor"                              , ,   -- #  965 unoil.jar
		"com.sun.star.sheet.XDDELink"                                              , ,   -- #  966 unoil.jar
		"com.sun.star.sheet.XDataPilotDescriptor"                                  , ,   -- #  967 unoil.jar
		"com.sun.star.sheet.XDataPilotField"                                       , ,   -- #  968 unoil.jar
		"com.sun.star.sheet.XDataPilotFieldGrouping"                               , ,   -- #  969 unoil.jar
		"com.sun.star.sheet.XDataPilotMemberResults"                               , ,   -- #  970 unoil.jar
		"com.sun.star.sheet.XDataPilotResults"                                     , ,   -- #  971 unoil.jar
		"com.sun.star.sheet.XDataPilotTable"                                       , ,   -- #  972 unoil.jar
		"com.sun.star.sheet.XDataPilotTables"                                      , ,   -- #  973 unoil.jar
		"com.sun.star.sheet.XDataPilotTablesSupplier"                              , ,   -- #  974 unoil.jar
		"com.sun.star.sheet.XDatabaseRange"                                        , ,   -- #  975 unoil.jar
		"com.sun.star.sheet.XDatabaseRanges"                                       , ,   -- #  976 unoil.jar
		"com.sun.star.sheet.XDimensionsSupplier"                                   , ,   -- #  977 unoil.jar
		"com.sun.star.sheet.XDocumentAuditing"                                     , ,   -- #  978 unoil.jar
		"com.sun.star.sheet.XEnhancedMouseClickBroadcaster"                        , ,   -- #  979 unoil.jar
		"com.sun.star.sheet.XFillAcrossSheet"                                      , ,   -- #  980 unoil.jar
		"com.sun.star.sheet.XFormulaQuery"                                         , ,   -- #  981 unoil.jar
		"com.sun.star.sheet.XFunctionAccess"                                       , ,   -- #  982 unoil.jar
		"com.sun.star.sheet.XFunctionDescriptions"                                 , ,   -- #  983 unoil.jar
		"com.sun.star.sheet.XGoalSeek"                                             , ,   -- #  984 unoil.jar
		"com.sun.star.sheet.XHeaderFooterContent"                                  , ,   -- #  985 unoil.jar
		"com.sun.star.sheet.XHierarchiesSupplier"                                  , ,   -- #  986 unoil.jar
		"com.sun.star.sheet.XLabelRange"                                           , ,   -- #  987 unoil.jar
		"com.sun.star.sheet.XLabelRanges"                                          , ,   -- #  988 unoil.jar
		"com.sun.star.sheet.XLevelsSupplier"                                       , ,   -- #  989 unoil.jar
		"com.sun.star.sheet.XMembersSupplier"                                      , ,   -- #  990 unoil.jar
		"com.sun.star.sheet.XMultipleOperation"                                    , ,   -- #  991 unoil.jar
		"com.sun.star.sheet.XNamedRange"                                           , ,   -- #  992 unoil.jar
		"com.sun.star.sheet.XNamedRanges"                                          , ,   -- #  993 unoil.jar
		"com.sun.star.sheet.XPrintAreas"                                           , ,   -- #  994 unoil.jar
		"com.sun.star.sheet.XRangeSelection"                                       , ,   -- #  995 unoil.jar
		"com.sun.star.sheet.XRangeSelectionChangeListener"                         , ,   -- #  996 unoil.jar
		"com.sun.star.sheet.XRangeSelectionListener"                               , ,   -- #  997 unoil.jar
		"com.sun.star.sheet.XRecentFunctions"                                      , ,   -- #  998 unoil.jar
		"com.sun.star.sheet.XResultListener"                                       , ,   -- #  999 unoil.jar
		"com.sun.star.sheet.XScenario"                                             , ,   -- # 1000 unoil.jar
		"com.sun.star.sheet.XScenarioEnhanced"                                     , ,   -- # 1001 unoil.jar
		"com.sun.star.sheet.XScenarios"                                            , ,   -- # 1002 unoil.jar
		"com.sun.star.sheet.XScenariosSupplier"                                    , ,   -- # 1003 unoil.jar
		"com.sun.star.sheet.XSheetAnnotation"                                      , ,   -- # 1004 unoil.jar
		"com.sun.star.sheet.XSheetAnnotationAnchor"                                , ,   -- # 1005 unoil.jar
		"com.sun.star.sheet.XSheetAnnotationShapeSupplier"                         , ,   -- # 1006 unoil.jar
		"com.sun.star.sheet.XSheetAnnotations"                                     , ,   -- # 1007 unoil.jar
		"com.sun.star.sheet.XSheetAnnotationsSupplier"                             , ,   -- # 1008 unoil.jar
		"com.sun.star.sheet.XSheetAuditing"                                        , ,   -- # 1009 unoil.jar
		"com.sun.star.sheet.XSheetCellCursor"                                      , ,   -- # 1010 unoil.jar
		"com.sun.star.sheet.XSheetCellRange"                                       , ,   -- # 1011 unoil.jar
		"com.sun.star.sheet.XSheetCellRangeContainer"                              , ,   -- # 1012 unoil.jar
		"com.sun.star.sheet.XSheetCellRanges"                                      , ,   -- # 1013 unoil.jar
		"com.sun.star.sheet.XSheetCondition"                                       , ,   -- # 1014 unoil.jar
		"com.sun.star.sheet.XSheetConditionalEntries"                              , ,   -- # 1015 unoil.jar
		"com.sun.star.sheet.XSheetConditionalEntry"                                , ,   -- # 1016 unoil.jar
		"com.sun.star.sheet.XSheetFilterDescriptor"                                , ,   -- # 1017 unoil.jar
		"com.sun.star.sheet.XSheetFilterable"                                      , ,   -- # 1018 unoil.jar
		"com.sun.star.sheet.XSheetFilterableEx"                                    , ,   -- # 1019 unoil.jar
		"com.sun.star.sheet.XSheetLinkable"                                        , ,   -- # 1020 unoil.jar
		"com.sun.star.sheet.XSheetOperation"                                       , ,   -- # 1021 unoil.jar
		"com.sun.star.sheet.XSheetOutline"                                         , ,   -- # 1022 unoil.jar
		"com.sun.star.sheet.XSheetPageBreak"                                       , ,   -- # 1023 unoil.jar
		"com.sun.star.sheet.XSheetPastable"                                        , ,   -- # 1024 unoil.jar
		"com.sun.star.sheet.XSpreadsheet"                                          , ,   -- # 1025 unoil.jar
		"com.sun.star.sheet.XSpreadsheetDocument"                                  , ,   -- # 1026 unoil.jar
		"com.sun.star.sheet.XSpreadsheetView"                                      , ,   -- # 1027 unoil.jar
		"com.sun.star.sheet.XSpreadsheets"                                         , ,   -- # 1028 unoil.jar
		"com.sun.star.sheet.XSubTotalCalculatable"                                 , ,   -- # 1029 unoil.jar
		"com.sun.star.sheet.XSubTotalDescriptor"                                   , ,   -- # 1030 unoil.jar
		"com.sun.star.sheet.XSubTotalField"                                        , ,   -- # 1031 unoil.jar
		"com.sun.star.sheet.XUniqueCellFormatRangesSupplier"                       , ,   -- # 1032 unoil.jar
		"com.sun.star.sheet.XUsedAreaCursor"                                       , ,   -- # 1033 unoil.jar
		"com.sun.star.sheet.XViewFreezable"                                        , ,   -- # 1034 unoil.jar
		"com.sun.star.sheet.XViewPane"                                             , ,   -- # 1035 unoil.jar
		"com.sun.star.sheet.XViewPanesSupplier"                                    , ,   -- # 1036 unoil.jar
		"com.sun.star.sheet.XViewSplitable"                                        , ,   -- # 1037 unoil.jar
		"com.sun.star.sheet.XVolatileResult"                                       , ,   -- # 1038 unoil.jar
		"com.sun.star.smarttags.XSmartTagAction"                                   , ,   -- # 1039 unoil.jar
		"com.sun.star.smarttags.XSmartTagRecognizer"                               , ,   -- # 1040 unoil.jar
		"com.sun.star.style.XAutoStyle"                                            , ,   -- # 1041 unoil.jar
		"com.sun.star.style.XAutoStyleFamily"                                      , ,   -- # 1042 unoil.jar
		"com.sun.star.style.XAutoStyles"                                           , ,   -- # 1043 unoil.jar
		"com.sun.star.style.XAutoStylesSupplier"                                   , ,   -- # 1044 unoil.jar
		"com.sun.star.style.XDefaultsSupplier"                                     , ,   -- # 1045 unoil.jar
		"com.sun.star.style.XStyle"                                                , ,   -- # 1046 unoil.jar
		"com.sun.star.style.XStyleCondition"                                       , ,   -- # 1047 unoil.jar
		"com.sun.star.style.XStyleFamiliesSupplier"                                , ,   -- # 1048 unoil.jar
		"com.sun.star.style.XStyleLoader"                                          , ,   -- # 1049 unoil.jar
		"com.sun.star.style.XStyleSupplier"                                        , ,   -- # 1050 unoil.jar
		"com.sun.star.svg.XSVGPrinter"                                             , ,   -- # 1051 unoil.jar
		"com.sun.star.svg.XSVGWriter"                                              , ,   -- # 1052 unoil.jar
		"com.sun.star.sync.XSyncCollector"                                         , ,   -- # 1053 unoil.jar
		"com.sun.star.sync.XSynchronizer"                                          , ,   -- # 1054 unoil.jar
		"com.sun.star.system.XProxySettings"                                       , ,   -- # 1055 unoil.jar
		"com.sun.star.system.XSimpleMailClient"                                    , ,   -- # 1056 unoil.jar
		"com.sun.star.system.XSimpleMailClientSupplier"                            , ,   -- # 1057 unoil.jar
		"com.sun.star.system.XSimpleMailMessage"                                   , ,   -- # 1058 unoil.jar
		"com.sun.star.system.XSystemShellExecute"                                  , ,   -- # 1059 unoil.jar
		"com.sun.star.table.XAutoFormattable"                                      , ,   -- # 1060 unoil.jar
		"com.sun.star.table.XCell"                                                 , ,   -- # 1061 unoil.jar
		"com.sun.star.table.XCellCursor"                                           , ,   -- # 1062 unoil.jar
		"com.sun.star.table.XCellRange"                                            , ,   -- # 1063 unoil.jar
		"com.sun.star.table.XColumnRowRange"                                       , ,   -- # 1064 unoil.jar
		"com.sun.star.table.XTableChart"                                           , ,   -- # 1065 unoil.jar
		"com.sun.star.table.XTableCharts"                                          , ,   -- # 1066 unoil.jar
		"com.sun.star.table.XTableChartsSupplier"                                  , ,   -- # 1067 unoil.jar
		"com.sun.star.table.XTableColumns"                                         , ,   -- # 1068 unoil.jar
		"com.sun.star.table.XTableRows"                                            , ,   -- # 1069 unoil.jar
		"com.sun.star.task.XAbortChannel"                                          , ,   -- # 1070 unoil.jar
		"com.sun.star.task.XAsyncJob"                                              , ,   -- # 1071 unoil.jar
		"com.sun.star.task.XInteractionAbort"                                      , ,   -- # 1072 ridl.jar
		"com.sun.star.task.XInteractionApprove"                                    , ,   -- # 1073 unoil.jar
		"com.sun.star.task.XInteractionContinuation"                               , ,   -- # 1074 ridl.jar
		"com.sun.star.task.XInteractionDisapprove"                                 , ,   -- # 1075 unoil.jar
		"com.sun.star.task.XInteractionHandler"                                    , ,   -- # 1076 ridl.jar
		"com.sun.star.task.XInteractionPassword"                                   , ,   -- # 1077 unoil.jar
		"com.sun.star.task.XInteractionRequest"                                    , ,   -- # 1078 ridl.jar
		"com.sun.star.task.XInteractionRequestStringResolver"                      , ,   -- # 1079 unoil.jar
		"com.sun.star.task.XInteractionRetry"                                      , ,   -- # 1080 ridl.jar
		"com.sun.star.task.XJob"                                                   , ,   -- # 1081 unoil.jar
		"com.sun.star.task.XJobExecutor"                                           , ,   -- # 1082 unoil.jar
		"com.sun.star.task.XJobListener"                                           , ,   -- # 1083 unoil.jar
		"com.sun.star.task.XPasswordContainer"                                     , ,   -- # 1084 unoil.jar
		"com.sun.star.task.XStatusIndicator"                                       , ,   -- # 1085 unoil.jar
		"com.sun.star.task.XStatusIndicatorFactory"                                , ,   -- # 1086 unoil.jar
		"com.sun.star.task.XStatusIndicatorSupplier"                               , ,   -- # 1087 unoil.jar
		"com.sun.star.test.XSimpleTest"                                            , ,   -- # 1088 ridl.jar
		"com.sun.star.test.XTest"                                                  , ,   -- # 1089 ridl.jar
		"com.sun.star.test.XTestListener"                                          , ,   -- # 1090 ridl.jar
		"com.sun.star.test.bridge.XBridgeTest"                                     , ,   -- # 1091 ridl.jar
		"com.sun.star.test.bridge.XBridgeTest2"                                    , ,   -- # 1092 ridl.jar
		"com.sun.star.test.bridge.XBridgeTestBase"                                 , ,   -- # 1093 ridl.jar
		"com.sun.star.test.bridge.XRecursiveCall"                                  , ,   -- # 1094 ridl.jar
		"com.sun.star.test.performance.XPerformanceTest"                           , ,   -- # 1095 ridl.jar
		"com.sun.star.text.XAutoTextContainer"                                     , ,   -- # 1096 unoil.jar
		"com.sun.star.text.XAutoTextEntry"                                         , ,   -- # 1097 unoil.jar
		"com.sun.star.text.XAutoTextGroup"                                         , ,   -- # 1098 unoil.jar
		"com.sun.star.text.XBookmarkInsertTool"                                    , ,   -- # 1099 unoil.jar
/* ---> [com.sun.star.text.XBookmarksSupplier]: class name [XBookmarksSupplier] in use already! (com.sun.star.sdb.XBookmarksSupplier) */ - 
		"com.sun.star.text.XBookmarksSupplier"                                     , ,   -- # 1100 unoil.jar
		"com.sun.star.text.XChapterNumberingSupplier"                              , ,   -- # 1101 unoil.jar
		"com.sun.star.text.XDefaultNumberingProvider"                              , ,   -- # 1102 unoil.jar
		"com.sun.star.text.XDependentTextField"                                    , ,   -- # 1103 unoil.jar
		"com.sun.star.text.XDocumentIndex"                                         , ,   -- # 1104 unoil.jar
		"com.sun.star.text.XDocumentIndexMark"                                     , ,   -- # 1105 unoil.jar
		"com.sun.star.text.XDocumentIndexesSupplier"                               , ,   -- # 1106 unoil.jar
		"com.sun.star.text.XEndnotesSettingsSupplier"                              , ,   -- # 1107 unoil.jar
		"com.sun.star.text.XEndnotesSupplier"                                      , ,   -- # 1108 unoil.jar
		"com.sun.star.text.XFootnote"                                              , ,   -- # 1109 unoil.jar
		"com.sun.star.text.XFootnotesSettingsSupplier"                             , ,   -- # 1110 unoil.jar
		"com.sun.star.text.XFootnotesSupplier"                                     , ,   -- # 1111 unoil.jar
		"com.sun.star.text.XHeaderFooter"                                          , ,   -- # 1112 unoil.jar
		"com.sun.star.text.XHeaderFooterPageStyle"                                 , ,   -- # 1113 unoil.jar
		"com.sun.star.text.XLineNumberingProperties"                               , ,   -- # 1114 unoil.jar
		"com.sun.star.text.XLineNumberingSupplier"                                 , ,   -- # 1115 unoil.jar
		"com.sun.star.text.XMailMergeBroadcaster"                                  , ,   -- # 1116 unoil.jar
		"com.sun.star.text.XMailMergeListener"                                     , ,   -- # 1117 unoil.jar
/* ---> [com.sun.star.text.XModule]: class name [XModule] in use already! (com.sun.star.frame.XModule) */ - 
		"com.sun.star.text.XModule"                                                , ,   -- # 1118 unoil.jar
		"com.sun.star.text.XNumberingFormatter"                                    , ,   -- # 1119 unoil.jar
		"com.sun.star.text.XNumberingRulesSupplier"                                , ,   -- # 1120 unoil.jar
		"com.sun.star.text.XNumberingTypeInfo"                                     , ,   -- # 1121 unoil.jar
		"com.sun.star.text.XPageCursor"                                            , ,   -- # 1122 unoil.jar
		"com.sun.star.text.XPagePrintable"                                         , ,   -- # 1123 unoil.jar
		"com.sun.star.text.XParagraphAppend"                                       , ,   -- # 1124 unoil.jar
		"com.sun.star.text.XParagraphCursor"                                       , ,   -- # 1125 unoil.jar
		"com.sun.star.text.XReferenceMarksSupplier"                                , ,   -- # 1126 unoil.jar
		"com.sun.star.text.XRelativeTextContentInsert"                             , ,   -- # 1127 unoil.jar
		"com.sun.star.text.XRelativeTextContentRemove"                             , ,   -- # 1128 unoil.jar
		"com.sun.star.text.XRubySelection"                                         , ,   -- # 1129 unoil.jar
		"com.sun.star.text.XSentenceCursor"                                        , ,   -- # 1130 unoil.jar
		"com.sun.star.text.XSimpleText"                                            , ,   -- # 1131 unoil.jar
		"com.sun.star.text.XText"                                                  , ,   -- # 1132 unoil.jar
		"com.sun.star.text.XTextAppend"                                            , ,   -- # 1133 unoil.jar
		"com.sun.star.text.XTextAppendAndConvert"                                  , ,   -- # 1134 unoil.jar
		"com.sun.star.text.XTextColumns"                                           , ,   -- # 1135 unoil.jar
		"com.sun.star.text.XTextContent"                                           , ,   -- # 1136 unoil.jar
		"com.sun.star.text.XTextContentAppend"                                     , ,   -- # 1137 unoil.jar
		"com.sun.star.text.XTextConvert"                                           , ,   -- # 1138 unoil.jar
		"com.sun.star.text.XTextCursor"                                            , ,   -- # 1139 unoil.jar
		"com.sun.star.text.XTextDocument"                                          , ,   -- # 1140 unoil.jar
		"com.sun.star.text.XTextEmbeddedObject"                                    , ,   -- # 1141 unoil.jar
		"com.sun.star.text.XTextEmbeddedObjectsSupplier"                           , ,   -- # 1142 unoil.jar
		"com.sun.star.text.XTextField"                                             , ,   -- # 1143 unoil.jar
		"com.sun.star.text.XTextFieldsSupplier"                                    , ,   -- # 1144 unoil.jar
		"com.sun.star.text.XTextFrame"                                             , ,   -- # 1145 unoil.jar
		"com.sun.star.text.XTextFramesSupplier"                                    , ,   -- # 1146 unoil.jar
		"com.sun.star.text.XTextGraphicObjectsSupplier"                            , ,   -- # 1147 unoil.jar
		"com.sun.star.text.XTextMarkup"                                            , ,   -- # 1148 unoil.jar
		"com.sun.star.text.XTextPortionAppend"                                     , ,   -- # 1149 unoil.jar
		"com.sun.star.text.XTextRange"                                             , ,   -- # 1150 unoil.jar
		"com.sun.star.text.XTextRangeCompare"                                      , ,   -- # 1151 unoil.jar
		"com.sun.star.text.XTextRangeMover"                                        , ,   -- # 1152 unoil.jar
		"com.sun.star.text.XTextSection"                                           , ,   -- # 1153 unoil.jar
		"com.sun.star.text.XTextSectionsSupplier"                                  , ,   -- # 1154 unoil.jar
		"com.sun.star.text.XTextShapesSupplier"                                    , ,   -- # 1155 unoil.jar
		"com.sun.star.text.XTextTable"                                             , ,   -- # 1156 unoil.jar
		"com.sun.star.text.XTextTableCursor"                                       , ,   -- # 1157 unoil.jar
		"com.sun.star.text.XTextTablesSupplier"                                    , ,   -- # 1158 unoil.jar
		"com.sun.star.text.XTextViewCursor"                                        , ,   -- # 1159 unoil.jar
		"com.sun.star.text.XTextViewCursorSupplier"                                , ,   -- # 1160 unoil.jar
		"com.sun.star.text.XWordCursor"                                            , ,   -- # 1161 unoil.jar
		"com.sun.star.ucb.XAnyCompare"                                             , ,   -- # 1162 unoil.jar
		"com.sun.star.ucb.XAnyCompareFactory"                                      , ,   -- # 1163 unoil.jar
		"com.sun.star.ucb.XCachedContentResultSetFactory"                          , ,   -- # 1164 unoil.jar
		"com.sun.star.ucb.XCachedContentResultSetStubFactory"                      , ,   -- # 1165 unoil.jar
		"com.sun.star.ucb.XCachedDynamicResultSetFactory"                          , ,   -- # 1166 unoil.jar
		"com.sun.star.ucb.XCachedDynamicResultSetStubFactory"                      , ,   -- # 1167 unoil.jar
		"com.sun.star.ucb.XCommandEnvironment"                                     , ,   -- # 1168 unoil.jar
		"com.sun.star.ucb.XCommandInfo"                                            , ,   -- # 1169 unoil.jar
		"com.sun.star.ucb.XCommandInfoChangeListener"                              , ,   -- # 1170 unoil.jar
		"com.sun.star.ucb.XCommandInfoChangeNotifier"                              , ,   -- # 1171 unoil.jar
		"com.sun.star.ucb.XCommandProcessor"                                       , ,   -- # 1172 unoil.jar
		"com.sun.star.ucb.XCommandProcessor2"                                      , ,   -- # 1173 unoil.jar
		"com.sun.star.ucb.XContent"                                                , ,   -- # 1174 unoil.jar
		"com.sun.star.ucb.XContentAccess"                                          , ,   -- # 1175 unoil.jar
		"com.sun.star.ucb.XContentCreator"                                         , ,   -- # 1176 unoil.jar
		"com.sun.star.ucb.XContentEventListener"                                   , ,   -- # 1177 unoil.jar
		"com.sun.star.ucb.XContentIdentifier"                                      , ,   -- # 1178 unoil.jar
		"com.sun.star.ucb.XContentIdentifierFactory"                               , ,   -- # 1179 unoil.jar
		"com.sun.star.ucb.XContentIdentifierMapping"                               , ,   -- # 1180 unoil.jar
		"com.sun.star.ucb.XContentProvider"                                        , ,   -- # 1181 unoil.jar
		"com.sun.star.ucb.XContentProviderFactory"                                 , ,   -- # 1182 unoil.jar
		"com.sun.star.ucb.XContentProviderManager"                                 , ,   -- # 1183 unoil.jar
		"com.sun.star.ucb.XContentProviderSupplier"                                , ,   -- # 1184 unoil.jar
		"com.sun.star.ucb.XContentTransmitter"                                     , ,   -- # 1185 unoil.jar
		"com.sun.star.ucb.XDataContainer"                                          , ,   -- # 1186 unoil.jar
		"com.sun.star.ucb.XDynamicResultSet"                                       , ,   -- # 1187 unoil.jar
		"com.sun.star.ucb.XDynamicResultSetListener"                               , ,   -- # 1188 unoil.jar
		"com.sun.star.ucb.XFetchProvider"                                          , ,   -- # 1189 unoil.jar
		"com.sun.star.ucb.XFetchProviderForContentAccess"                          , ,   -- # 1190 unoil.jar
		"com.sun.star.ucb.XFileIdentifierConverter"                                , ,   -- # 1191 unoil.jar
		"com.sun.star.ucb.XInteractionCookieHandling"                              , ,   -- # 1192 unoil.jar
		"com.sun.star.ucb.XInteractionHandlerSupplier"                             , ,   -- # 1193 unoil.jar
		"com.sun.star.ucb.XInteractionReplaceExistingData"                         , ,   -- # 1194 unoil.jar
		"com.sun.star.ucb.XInteractionSupplyAuthentication"                        , ,   -- # 1195 unoil.jar
		"com.sun.star.ucb.XInteractionSupplyName"                                  , ,   -- # 1196 unoil.jar
		"com.sun.star.ucb.XParameterizedContentProvider"                           , ,   -- # 1197 unoil.jar
		"com.sun.star.ucb.XPersistentPropertySet"                                  , ,   -- # 1198 unoil.jar
		"com.sun.star.ucb.XProgressHandler"                                        , ,   -- # 1199 unoil.jar
		"com.sun.star.ucb.XPropertyMatcher"                                        , ,   -- # 1200 unoil.jar
		"com.sun.star.ucb.XPropertyMatcherFactory"                                 , ,   -- # 1201 unoil.jar
		"com.sun.star.ucb.XPropertySetRegistry"                                    , ,   -- # 1202 unoil.jar
		"com.sun.star.ucb.XPropertySetRegistryFactory"                             , ,   -- # 1203 unoil.jar
		"com.sun.star.ucb.XRecycler"                                               , ,   -- # 1204 unoil.jar
		"com.sun.star.ucb.XRemoteContentProviderAcceptor"                          , ,   -- # 1205 unoil.jar
		"com.sun.star.ucb.XRemoteContentProviderActivator"                         , ,   -- # 1206 unoil.jar
		"com.sun.star.ucb.XRemoteContentProviderChangeListener"                    , ,   -- # 1207 unoil.jar
		"com.sun.star.ucb.XRemoteContentProviderChangeNotifier"                    , ,   -- # 1208 unoil.jar
		"com.sun.star.ucb.XRemoteContentProviderConnectionControl"                 , ,   -- # 1209 unoil.jar
		"com.sun.star.ucb.XRemoteContentProviderDistributor"                       , ,   -- # 1210 unoil.jar
		"com.sun.star.ucb.XRemoteContentProviderDoneListener"                      , ,   -- # 1211 unoil.jar
		"com.sun.star.ucb.XRemoteContentProviderSupplier"                          , ,   -- # 1212 unoil.jar
		"com.sun.star.ucb.XSimpleFileAccess"                                       , ,   -- # 1213 unoil.jar
		"com.sun.star.ucb.XSimpleFileAccess2"                                      , ,   -- # 1214 unoil.jar
		"com.sun.star.ucb.XSimpleFileAccess3"                                      , ,   -- # 1215 unoil.jar
		"com.sun.star.ucb.XSortedDynamicResultSetFactory"                          , ,   -- # 1216 unoil.jar
		"com.sun.star.ucb.XSourceInitialization"                                   , ,   -- # 1217 unoil.jar
		"com.sun.star.ucb.XWebDAVCommandEnvironment"                               , ,   -- # 1218 unoil.jar
		"com.sun.star.ui.XAcceleratorConfiguration"                                , ,   -- # 1219 unoil.jar
		"com.sun.star.ui.XContextMenuInterception"                                 , ,   -- # 1220 unoil.jar
		"com.sun.star.ui.XContextMenuInterceptor"                                  , ,   -- # 1221 unoil.jar
		"com.sun.star.ui.XDockingAreaAcceptor"                                     , ,   -- # 1222 unoil.jar
		"com.sun.star.ui.XImageManager"                                            , ,   -- # 1223 unoil.jar
		"com.sun.star.ui.XModuleUIConfigurationManager"                            , ,   -- # 1224 unoil.jar
		"com.sun.star.ui.XModuleUIConfigurationManagerSupplier"                    , ,   -- # 1225 unoil.jar
		"com.sun.star.ui.XUIConfiguration"                                         , ,   -- # 1226 unoil.jar
		"com.sun.star.ui.XUIConfigurationListener"                                 , ,   -- # 1227 unoil.jar
		"com.sun.star.ui.XUIConfigurationManager"                                  , ,   -- # 1228 unoil.jar
		"com.sun.star.ui.XUIConfigurationManagerSupplier"                          , ,   -- # 1229 unoil.jar
		"com.sun.star.ui.XUIConfigurationPersistence"                              , ,   -- # 1230 unoil.jar
		"com.sun.star.ui.XUIConfigurationStorage"                                  , ,   -- # 1231 unoil.jar
		"com.sun.star.ui.XUIElement"                                               , ,   -- # 1232 unoil.jar
		"com.sun.star.ui.XUIElementFactory"                                        , ,   -- # 1233 unoil.jar
		"com.sun.star.ui.XUIElementFactoryRegistration"                            , ,   -- # 1234 unoil.jar
		"com.sun.star.ui.XUIElementSettings"                                       , ,   -- # 1235 unoil.jar
		"com.sun.star.ui.XUIFunctionListener"                                      , ,   -- # 1236 unoil.jar
		"com.sun.star.ui.dialogs.XAsynchronousExecutableDialog"                    , ,   -- # 1237 unoil.jar
		"com.sun.star.ui.dialogs.XControlAccess"                                   , ,   -- # 1238 unoil.jar
		"com.sun.star.ui.dialogs.XControlInformation"                              , ,   -- # 1239 unoil.jar
		"com.sun.star.ui.dialogs.XDialogClosedListener"                            , ,   -- # 1240 unoil.jar
		"com.sun.star.ui.dialogs.XExecutableDialog"                                , ,   -- # 1241 unoil.jar
		"com.sun.star.ui.dialogs.XFilePicker"                                      , ,   -- # 1242 unoil.jar
		"com.sun.star.ui.dialogs.XFilePickerControlAccess"                         , ,   -- # 1243 unoil.jar
		"com.sun.star.ui.dialogs.XFilePickerListener"                              , ,   -- # 1244 unoil.jar
		"com.sun.star.ui.dialogs.XFilePickerNotifier"                              , ,   -- # 1245 unoil.jar
		"com.sun.star.ui.dialogs.XFilePreview"                                     , ,   -- # 1246 unoil.jar
		"com.sun.star.ui.dialogs.XFilterGroupManager"                              , ,   -- # 1247 unoil.jar
		"com.sun.star.ui.dialogs.XFilterManager"                                   , ,   -- # 1248 unoil.jar
		"com.sun.star.ui.dialogs.XFolderPicker"                                    , ,   -- # 1249 unoil.jar
		"com.sun.star.uno.XAdapter"                                                , ,   -- # 1250 ridl.jar
		"com.sun.star.uno.XAggregation"                                            , ,   -- # 1251 ridl.jar
		"com.sun.star.uno.XComponentContext"                                       , ,   -- # 1252 ridl.jar
		"com.sun.star.uno.XCurrentContext"                                         , ,   -- # 1253 ridl.jar
		"com.sun.star.uno.XInterface"                                              , ,   -- # 1254 ridl.jar
		"com.sun.star.uno.XNamingService"                                          , ,   -- # 1255 ridl.jar
		"com.sun.star.uno.XReference"                                              , ,   -- # 1256 ridl.jar
		"com.sun.star.uno.XUnloadingPreference"                                    , ,   -- # 1257 ridl.jar
		"com.sun.star.uno.XWeak"                                                   , ,   -- # 1258 ridl.jar
		"com.sun.star.uri.XExternalUriReferenceTranslator"                         , ,   -- # 1259 ridl.jar
		"com.sun.star.uri.XUriReference"                                           , ,   -- # 1260 ridl.jar
		"com.sun.star.uri.XUriReferenceFactory"                                    , ,   -- # 1261 ridl.jar
		"com.sun.star.uri.XUriSchemeParser"                                        , ,   -- # 1262 ridl.jar
		"com.sun.star.uri.XVndSunStarExpandUrl"                                    , ,   -- # 1263 ridl.jar
		"com.sun.star.uri.XVndSunStarExpandUrlReference"                           , ,   -- # 1264 ridl.jar
		"com.sun.star.uri.XVndSunStarPkgUrlReferenceFactory"                       , ,   -- # 1265 ridl.jar
		"com.sun.star.uri.XVndSunStarScriptUrl"                                    , ,   -- # 1266 ridl.jar
		"com.sun.star.uri.XVndSunStarScriptUrlReference"                           , ,   -- # 1267 ridl.jar
		"com.sun.star.util.XArchiver"                                              , ,   -- # 1268 unoil.jar
		"com.sun.star.util.XAtomServer"                                            , ,   -- # 1269 unoil.jar
		"com.sun.star.util.XCancelManager"                                         , ,   -- # 1270 unoil.jar
		"com.sun.star.util.XCancellable"                                           , ,   -- # 1271 unoil.jar
		"com.sun.star.util.XChainable"                                             , ,   -- # 1272 unoil.jar
		"com.sun.star.util.XChangesBatch"                                          , ,   -- # 1273 unoil.jar
		"com.sun.star.util.XChangesListener"                                       , ,   -- # 1274 unoil.jar
		"com.sun.star.util.XChangesNotifier"                                       , ,   -- # 1275 unoil.jar
		"com.sun.star.util.XChangesSet"                                            , ,   -- # 1276 unoil.jar
		"com.sun.star.util.XCloneable"                                             , ,   -- # 1277 unoil.jar
		"com.sun.star.util.XCloseBroadcaster"                                      , ,   -- # 1278 unoil.jar
		"com.sun.star.util.XCloseListener"                                         , ,   -- # 1279 unoil.jar
/* ---> [com.sun.star.util.XCloseable]: class name [XCloseable] in use already! (com.sun.star.sdbc.XCloseable) */ - 
		"com.sun.star.util.XCloseable"                                             , ,   -- # 1280 unoil.jar
		"com.sun.star.util.XDataEditor"                                            , ,   -- # 1281 unoil.jar
		"com.sun.star.util.XDataEditorListener"                                    , ,   -- # 1282 unoil.jar
		"com.sun.star.util.XFlushListener"                                         , ,   -- # 1283 unoil.jar
		"com.sun.star.util.XFlushable"                                             , ,   -- # 1284 unoil.jar
		"com.sun.star.util.XImportable"                                            , ,   -- # 1285 unoil.jar
		"com.sun.star.util.XIndent"                                                , ,   -- # 1286 unoil.jar
		"com.sun.star.util.XJobManager"                                            , ,   -- # 1287 unoil.jar
		"com.sun.star.util.XLinkUpdate"                                            , ,   -- # 1288 unoil.jar
		"com.sun.star.util.XLocalizedAliases"                                      , ,   -- # 1289 unoil.jar
		"com.sun.star.util.XMacroExpander"                                         , ,   -- # 1290 ridl.jar
		"com.sun.star.util.XMergeable"                                             , ,   -- # 1291 unoil.jar
		"com.sun.star.util.XModeChangeApproveListener"                             , ,   -- # 1292 unoil.jar
		"com.sun.star.util.XModeChangeBroadcaster"                                 , ,   -- # 1293 unoil.jar
		"com.sun.star.util.XModeChangeListener"                                    , ,   -- # 1294 unoil.jar
		"com.sun.star.util.XModeSelector"                                          , ,   -- # 1295 unoil.jar
		"com.sun.star.util.XModifiable"                                            , ,   -- # 1296 unoil.jar
		"com.sun.star.util.XModifiable2"                                           , ,   -- # 1297 unoil.jar
		"com.sun.star.util.XModifyBroadcaster"                                     , ,   -- # 1298 unoil.jar
		"com.sun.star.util.XModifyListener"                                        , ,   -- # 1299 unoil.jar
		"com.sun.star.util.XNumberFormatPreviewer"                                 , ,   -- # 1300 unoil.jar
		"com.sun.star.util.XNumberFormatTypes"                                     , ,   -- # 1301 unoil.jar
		"com.sun.star.util.XNumberFormats"                                         , ,   -- # 1302 unoil.jar
		"com.sun.star.util.XNumberFormatsSupplier"                                 , ,   -- # 1303 unoil.jar
		"com.sun.star.util.XNumberFormatter"                                       , ,   -- # 1304 unoil.jar
		"com.sun.star.util.XOfficeInstallationDirectories"                         , ,   -- # 1305 unoil.jar
		"com.sun.star.util.XPropertyReplace"                                       , ,   -- # 1306 unoil.jar
		"com.sun.star.util.XProtectable"                                           , ,   -- # 1307 unoil.jar
		"com.sun.star.util.XRefreshListener"                                       , ,   -- # 1308 unoil.jar
		"com.sun.star.util.XRefreshable"                                           , ,   -- # 1309 unoil.jar
		"com.sun.star.util.XReplaceDescriptor"                                     , ,   -- # 1310 unoil.jar
		"com.sun.star.util.XReplaceable"                                           , ,   -- # 1311 unoil.jar
		"com.sun.star.util.XSearchDescriptor"                                      , ,   -- # 1312 unoil.jar
		"com.sun.star.util.XSearchable"                                            , ,   -- # 1313 unoil.jar
		"com.sun.star.util.XSimpleErrorHandler"                                    , ,   -- # 1314 unoil.jar
		"com.sun.star.util.XSortable"                                              , ,   -- # 1315 unoil.jar
		"com.sun.star.util.XStringAbbreviation"                                    , ,   -- # 1316 unoil.jar
		"com.sun.star.util.XStringEscape"                                          , ,   -- # 1317 unoil.jar
		"com.sun.star.util.XStringMapping"                                         , ,   -- # 1318 unoil.jar
		"com.sun.star.util.XStringSubstitution"                                    , ,   -- # 1319 unoil.jar
		"com.sun.star.util.XStringWidth"                                           , ,   -- # 1320 unoil.jar
		"com.sun.star.util.XTextSearch"                                            , ,   -- # 1321 unoil.jar
		"com.sun.star.util.XTimeStamped"                                           , ,   -- # 1322 unoil.jar
		"com.sun.star.util.XURLTransformer"                                        , ,   -- # 1323 unoil.jar
		"com.sun.star.util.XUniqueIDFactory"                                       , ,   -- # 1324 unoil.jar
		"com.sun.star.util.XUpdatable"                                             , ,   -- # 1325 unoil.jar
		"com.sun.star.util.XVeto"                                                  , ,   -- # 1326 ridl.jar
/* ---> [com.sun.star.util.logging.XLogger]: class name [XLogger] in use already! (com.sun.star.logging.XLogger) */ - 
		"com.sun.star.util.logging.XLogger"                                        , ,   -- # 1327 ridl.jar
		"com.sun.star.util.logging.XLoggerRemote"                                  , ,   -- # 1328 ridl.jar
/* ---> [com.sun.star.view.XControlAccess]: class name [XControlAccess] in use already! (com.sun.star.ui.dialogs.XControlAccess) */ - 
		"com.sun.star.view.XControlAccess"                                         , ,   -- # 1329 unoil.jar
		"com.sun.star.view.XFormLayerAccess"                                       , ,   -- # 1330 unoil.jar
		"com.sun.star.view.XLineCursor"                                            , ,   -- # 1331 unoil.jar
		"com.sun.star.view.XMultiSelectionSupplier"                                , ,   -- # 1332 unoil.jar
		"com.sun.star.view.XPrintJob"                                              , ,   -- # 1333 unoil.jar
		"com.sun.star.view.XPrintJobBroadcaster"                                   , ,   -- # 1334 unoil.jar
		"com.sun.star.view.XPrintJobListener"                                      , ,   -- # 1335 unoil.jar
		"com.sun.star.view.XPrintPreview"                                          , ,   -- # 1336 unoil.jar
		"com.sun.star.view.XPrintSettingsSupplier"                                 , ,   -- # 1337 unoil.jar
		"com.sun.star.view.XPrintable"                                             , ,   -- # 1338 unoil.jar
		"com.sun.star.view.XPrintableBroadcaster"                                  , ,   -- # 1339 unoil.jar
		"com.sun.star.view.XPrintableListener"                                     , ,   -- # 1340 unoil.jar
		"com.sun.star.view.XRenderable"                                            , ,   -- # 1341 unoil.jar
		"com.sun.star.view.XScreenCursor"                                          , ,   -- # 1342 unoil.jar
		"com.sun.star.view.XSelectionChangeListener"                               , ,   -- # 1343 unoil.jar
		"com.sun.star.view.XSelectionSupplier"                                     , ,   -- # 1344 unoil.jar
		"com.sun.star.view.XViewCursor"                                            , ,   -- # 1345 unoil.jar
		"com.sun.star.view.XViewSettingsSupplier"                                  , ,   -- # 1346 unoil.jar
		"com.sun.star.xforms.XDataTypeRepository"                                  , ,   -- # 1347 unoil.jar
		"com.sun.star.xforms.XFormsEvent"                                          , ,   -- # 1348 unoil.jar
/* ---> [com.sun.star.xforms.XFormsSupplier]: class name [XFormsSupplier] in use already! (com.sun.star.form.XFormsSupplier) */ - 
		"com.sun.star.xforms.XFormsSupplier"                                       , ,   -- # 1349 unoil.jar
		"com.sun.star.xforms.XFormsUIHelper1"                                      , ,   -- # 1350 unoil.jar
/* ---> [com.sun.star.xforms.XModel]: class name [XModel] in use already! (com.sun.star.frame.XModel) */ - 
		"com.sun.star.xforms.XModel"                                               , ,   -- # 1351 unoil.jar
/* ---> [com.sun.star.xforms.XSubmission]: class name [XSubmission] in use already! (com.sun.star.form.submission.XSubmission) */ - 
		"com.sun.star.xforms.XSubmission"                                          , ,   -- # 1352 unoil.jar
		"com.sun.star.xml.XExportFilter"                                           , ,   -- # 1353 unoil.jar
		"com.sun.star.xml.XImportFilter"                                           , ,   -- # 1354 unoil.jar
		"com.sun.star.xml.crypto.XMLEncryptionException"                           , ,   -- # 1355 unoil.jar
		"com.sun.star.xml.crypto.XMLSignatureException"                            , ,   -- # 1356 unoil.jar
		"com.sun.star.xml.crypto.XSEInitializer"                                   , ,   -- # 1357 unoil.jar
		"com.sun.star.xml.crypto.XSecurityEnvironment"                             , ,   -- # 1358 unoil.jar
		"com.sun.star.xml.crypto.XUriBinding"                                      , ,   -- # 1359 unoil.jar
		"com.sun.star.xml.crypto.XXMLEncryption"                                   , ,   -- # 1360 unoil.jar
		"com.sun.star.xml.crypto.XXMLEncryptionTemplate"                           , ,   -- # 1361 unoil.jar
		"com.sun.star.xml.crypto.XXMLSecurityContext"                              , ,   -- # 1362 unoil.jar
		"com.sun.star.xml.crypto.XXMLSecurityTemplate"                             , ,   -- # 1363 unoil.jar
		"com.sun.star.xml.crypto.XXMLSignature"                                    , ,   -- # 1364 unoil.jar
		"com.sun.star.xml.crypto.XXMLSignatureTemplate"                            , ,   -- # 1365 unoil.jar
		"com.sun.star.xml.crypto.sax.XBlockerMonitor"                              , ,   -- # 1366 unoil.jar
		"com.sun.star.xml.crypto.sax.XDecryptionResultBroadcaster"                 , ,   -- # 1367 unoil.jar
		"com.sun.star.xml.crypto.sax.XDecryptionResultListener"                    , ,   -- # 1368 unoil.jar
		"com.sun.star.xml.crypto.sax.XElementStackKeeper"                          , ,   -- # 1369 unoil.jar
		"com.sun.star.xml.crypto.sax.XEncryptionResultBroadcaster"                 , ,   -- # 1370 unoil.jar
		"com.sun.star.xml.crypto.sax.XEncryptionResultListener"                    , ,   -- # 1371 unoil.jar
		"com.sun.star.xml.crypto.sax.XKeyCollector"                                , ,   -- # 1372 unoil.jar
		"com.sun.star.xml.crypto.sax.XMissionTaker"                                , ,   -- # 1373 unoil.jar
		"com.sun.star.xml.crypto.sax.XReferenceCollector"                          , ,   -- # 1374 unoil.jar
		"com.sun.star.xml.crypto.sax.XReferenceResolvedBroadcaster"                , ,   -- # 1375 unoil.jar
		"com.sun.star.xml.crypto.sax.XReferenceResolvedListener"                   , ,   -- # 1376 unoil.jar
		"com.sun.star.xml.crypto.sax.XSAXEventKeeper"                              , ,   -- # 1377 unoil.jar
		"com.sun.star.xml.crypto.sax.XSAXEventKeeperStatusChangeBroadcaster"       , ,   -- # 1378 unoil.jar
		"com.sun.star.xml.crypto.sax.XSAXEventKeeperStatusChangeListener"          , ,   -- # 1379 unoil.jar
		"com.sun.star.xml.crypto.sax.XSecurityController"                          , ,   -- # 1380 unoil.jar
		"com.sun.star.xml.crypto.sax.XSecuritySAXEventKeeper"                      , ,   -- # 1381 unoil.jar
		"com.sun.star.xml.crypto.sax.XSignatureCreationResultBroadcaster"          , ,   -- # 1382 unoil.jar
		"com.sun.star.xml.crypto.sax.XSignatureCreationResultListener"             , ,   -- # 1383 unoil.jar
		"com.sun.star.xml.crypto.sax.XSignatureVerifyResultBroadcaster"            , ,   -- # 1384 unoil.jar
		"com.sun.star.xml.crypto.sax.XSignatureVerifyResultListener"               , ,   -- # 1385 unoil.jar
		"com.sun.star.xml.csax.XCompressedDocumentHandler"                         , ,   -- # 1386 unoil.jar
		"com.sun.star.xml.csax.XMLAttribute"                                       , ,   -- # 1387 unoil.jar
		"com.sun.star.xml.dom.XAttr"                                               , ,   -- # 1388 unoil.jar
		"com.sun.star.xml.dom.XCDATASection"                                       , ,   -- # 1389 unoil.jar
		"com.sun.star.xml.dom.XCharacterData"                                      , ,   -- # 1390 unoil.jar
		"com.sun.star.xml.dom.XComment"                                            , ,   -- # 1391 unoil.jar
		"com.sun.star.xml.dom.XDOMImplementation"                                  , ,   -- # 1392 unoil.jar
		"com.sun.star.xml.dom.XDocument"                                           , ,   -- # 1393 unoil.jar
		"com.sun.star.xml.dom.XDocumentBuilder"                                    , ,   -- # 1394 unoil.jar
		"com.sun.star.xml.dom.XDocumentFragment"                                   , ,   -- # 1395 unoil.jar
		"com.sun.star.xml.dom.XDocumentType"                                       , ,   -- # 1396 unoil.jar
		"com.sun.star.xml.dom.XElement"                                            , ,   -- # 1397 unoil.jar
		"com.sun.star.xml.dom.XEntity"                                             , ,   -- # 1398 unoil.jar
		"com.sun.star.xml.dom.XEntityReference"                                    , ,   -- # 1399 unoil.jar
		"com.sun.star.xml.dom.XNamedNodeMap"                                       , ,   -- # 1400 unoil.jar
		"com.sun.star.xml.dom.XNode"                                               , ,   -- # 1401 unoil.jar
		"com.sun.star.xml.dom.XNodeList"                                           , ,   -- # 1402 unoil.jar
		"com.sun.star.xml.dom.XNotation"                                           , ,   -- # 1403 unoil.jar
		"com.sun.star.xml.dom.XProcessingInstruction"                              , ,   -- # 1404 unoil.jar
		"com.sun.star.xml.dom.XSAXDocumentBuilder"                                 , ,   -- # 1405 unoil.jar
/* ---> [com.sun.star.xml.dom.XText]: class name [XText] in use already! (com.sun.star.text.XText) */ - 
		"com.sun.star.xml.dom.XText"                                               , ,   -- # 1406 unoil.jar
		"com.sun.star.xml.dom.events.XDocumentEvent"                               , ,   -- # 1407 unoil.jar
		"com.sun.star.xml.dom.events.XEvent"                                       , ,   -- # 1408 unoil.jar
/* ---> [com.sun.star.xml.dom.events.XEventListener]: class name [XEventListener] in use already! (com.sun.star.document.XEventListener) */ - 
		"com.sun.star.xml.dom.events.XEventListener"                               , ,   -- # 1409 unoil.jar
		"com.sun.star.xml.dom.events.XEventTarget"                                 , ,   -- # 1410 unoil.jar
		"com.sun.star.xml.dom.events.XMouseEvent"                                  , ,   -- # 1411 unoil.jar
		"com.sun.star.xml.dom.events.XMutationEvent"                               , ,   -- # 1412 unoil.jar
		"com.sun.star.xml.dom.events.XUIEvent"                                     , ,   -- # 1413 unoil.jar
		"com.sun.star.xml.dom.views.XAbstractView"                                 , ,   -- # 1414 unoil.jar
		"com.sun.star.xml.dom.views.XDocumentView"                                 , ,   -- # 1415 unoil.jar
		"com.sun.star.xml.input.XAttributes"                                       , ,   -- # 1416 unoil.jar
/* ---> [com.sun.star.xml.input.XElement]: class name [XElement] in use already! (com.sun.star.xml.dom.XElement) */ - 
		"com.sun.star.xml.input.XElement"                                          , ,   -- # 1417 unoil.jar
		"com.sun.star.xml.input.XNamespaceMapping"                                 , ,   -- # 1418 unoil.jar
		"com.sun.star.xml.input.XRoot"                                             , ,   -- # 1419 unoil.jar
		"com.sun.star.xml.sax.XAttributeList"                                      , ,   -- # 1420 unoil.jar
		"com.sun.star.xml.sax.XDTDHandler"                                         , ,   -- # 1421 unoil.jar
		"com.sun.star.xml.sax.XDocumentHandler"                                    , ,   -- # 1422 unoil.jar
		"com.sun.star.xml.sax.XEntityResolver"                                     , ,   -- # 1423 unoil.jar
		"com.sun.star.xml.sax.XErrorHandler"                                       , ,   -- # 1424 unoil.jar
		"com.sun.star.xml.sax.XExtendedDocumentHandler"                            , ,   -- # 1425 unoil.jar
		"com.sun.star.xml.sax.XLocator"                                            , ,   -- # 1426 unoil.jar
		"com.sun.star.xml.sax.XParser"                                             , ,   -- # 1427 unoil.jar
		"com.sun.star.xml.wrapper.XXMLDocumentWrapper"                             , ,   -- # 1428 unoil.jar
		"com.sun.star.xml.wrapper.XXMLElementWrapper"                              , ,   -- # 1429 unoil.jar
		"com.sun.star.xml.xpath.XPathObjectType"                                   , ,   -- # 1430 unoil.jar
		"com.sun.star.xml.xpath.XXPathAPI"                                         , ,   -- # 1431 unoil.jar
		"com.sun.star.xml.xpath.XXPathExtension"                                   , ,   -- # 1432 unoil.jar
		"com.sun.star.xml.xpath.XXPathObject"                                      , ,   -- # 1433 unoil.jar
		"com.sun.star.xsd.XDataType"                                               , ,   -- # 1434 unoil.jar
/* ---> [drafts.com.sun.star.form.XBindableValue]: class name [XBindableValue] in use already! (com.sun.star.form.binding.XBindableValue) */ - 
		"drafts.com.sun.star.form.XBindableValue"                                  , ,   -- # 1435 unoil.jar
/* ---> [drafts.com.sun.star.form.XListEntryListener]: class name [XListEntryListener] in use already! (com.sun.star.form.binding.XListEntryListener) */ - 
		"drafts.com.sun.star.form.XListEntryListener"                              , ,   -- # 1436 unoil.jar
/* ---> [drafts.com.sun.star.form.XListEntrySink]: class name [XListEntrySink] in use already! (com.sun.star.form.binding.XListEntrySink) */ - 
		"drafts.com.sun.star.form.XListEntrySink"                                  , ,   -- # 1437 unoil.jar
/* ---> [drafts.com.sun.star.form.XListEntrySource]: class name [XListEntrySource] in use already! (com.sun.star.form.binding.XListEntrySource) */ - 
		"drafts.com.sun.star.form.XListEntrySource"                                , ,   -- # 1438 unoil.jar
/* ---> [drafts.com.sun.star.form.XValueBinding]: class name [XValueBinding] in use already! (com.sun.star.form.binding.XValueBinding) */ - 
		"drafts.com.sun.star.form.XValueBinding"                                     ,   -- # 1439 unoil.jar
   )

-- maximum fully qualified class-name length: 72, maximum length of class name: 41
-- say l~items "items in list l" /* should be: 1439 items */

   return l
